{if $loggedin}
{if $smarty.get.error eq 'notauthorized'}
    <div class="alert alert-danger" role="alert"><p align="center"><b>{$amplang.error}</b> {$amplang.unauthorizedaccess}</p></div>
    {/if}
    {if $lockdownclientarea}
    <div class="alert alert-warning" role="alert"><p align="center"><b>{$amplang.importantnotes}</b> {$amplang.adminenabledlockdown} <br>{$amplang.resolveopenabusereports}</p></div>
    {/if}
  {if $page}
    <h4>{$amplang.abusereportdetailedviewheader}</h4><hr>
    {if $status neq 'open'}
    <div class="alert alert-warning" role="alert"><p align="center"><b>{$amplang.importantnotes}</b> {$amplang.reportinreadonlymode} {$status}.</p></div>
    {else}
    <div class="alert alert-danger" role="alert"><p align="center"><b>{$amplang.importantnotes}</b> {$amplang.readreportfullyandresolve}</p></div>
    {/if}
    {if $susaction eq 'unsuspended'}
    <div class="alert alert-success" role="alert"><p align="center"><b>{$amplang.success}</b> {$amplang.youhaveunsuspended}</p></div>    
    {/if}
	{if $susaction eq 'resloved'}
    <div class="alert alert-success" role="alert"><p align="center"><b>{$amplang.success}</b> {$amplang.youhaveresloved}</p></div>    
    {/if}
    <div>
    <div class='col-md-6'>
<div class='panel panel-default'>
  <div class='panel-heading'>
    <h3 class='panel-title'>{$amplang.reportdetailsheader}</h3>
  </div>
  <div class='panel-body'>
  <table class="table">
    <tbody>
        <tr>
          <th>{$amplang.reportid}</th>
            <td>{$reportid}</td>
        </tr>
        <tr>
          <th>{$amplang.reportstatus}</th>
          {if $status eq 'open'}
            <td><span class="label label-warning">{$status}</span></td>
          {else}
            <td><span class="label label-default">{$status}</span></td>
          {/if}
        </tr>
        <tr>
          <th>{$amplang.reportdate}</th>
            <td>{$incidentdate}</td>
        </tr>
        <tr>
          <th>{$amplang.reportservice}</th>
            <td>{$servicename} - {$servicehostname}</td>
        </tr>
      <tr>
          <th>{$amplang.reportip}</th>
            <td>{$customerip}</td>
        </tr>
        <tr>
          <th>{$amplang.reportcategory}</th>
            <td>{$category}</td>
        </tr>
        <tr>
          <th>{$amplang.reportadditionalinfo}</th>
            <td><pre><code>{htmlspecialchars_decode($additionalinformation)}</code></pre></td>
        </tr>
    </tbody>
</table>
  </div>
</div>

{if $status eq 'open'}

<div class='panel panel-default'>
  <div class='panel-heading'>
    <h3 class='panel-title'>{$amplang.actions}</h3>
  </div>
  <div class='panel-body'>
    {$amplang.admingaveyouunsuspendability}<br><br>
    {if $allowunsuspend eq 'on'}
    <form action='' method='POST'><input type='hidden' name='unsuspend' value='unsuspend'><input type='hidden' name='reportid' value='{$reportid}'><button type='submit' class='btn btn-success'>{$amplang.unsuspendbutton}</button></form>
   {else}
    <button type='submit' class='btn btn-default disabled'>{$amplang.unsuspendedbutton}</button>
    {/if}
   
    <form action='' method='POST'><input type='hidden' name='resloved' value='resloved'><input type='hidden' name='reportid' value='{$reportid}'><button type='submit' class='btn btn-success'>{$amplang.reslovedbutton}</button></form>
  </div>
</div>
{else}
<div class='panel panel-default'>
  <div class='panel-heading'>
    <h3 class='panel-title'>{$amplang.actions}</h3>
  </div>
  <div class='panel-body'>
    {$amplang.youhaveunsuspendedalready}<br><br>
	<button type='submit' class='btn btn-default disabled'>{$amplang.unsuspendedbutton}</button>
    <button type='submit' class='btn btn-default disabled'>{$amplang.reslovedbutton}</button>

  </div>
</div>
{/if}


</div>
<div class='col-md-6'>
{foreach $clientconversation as $c}
 <div class='media'>
  <div class='media-left'>
      <img class='media-object' src='https://secure.gravatar.com/avatar/{$c.submitteremail}?d=mm' alt='...' width='64px'>
  </div>
  <div class='media-body'>
    <h4 class='media-heading'>{$c.submitter} <span class='label label-default'>{$c.submitterrole}</span> on {$c.timestamp}</h4>
    {$c.message}
  </div>
</div>
  {/foreach}
<br>
{if $status eq 'open'}
<div class='panel panel-default'>
  <div class='panel-heading'>
    <h3 class='panel-title'>{$amplang.addreply}</h3>
  </div>
  <div class='panel-body'>
   <form action='' method='POST'>
   <textarea name='addreplymessage' class='form-control' rows='3'></textarea>
   <br>
   <input type='hidden' name='addreply' value='addreply'><input type='hidden' name='reportid' value='{$reportid}'><button type='submit' class='btn btn-default'>{$amplang.addreply}</button>
   </form>
  </div>
</div>
{/if}

</div>
    </div>
    </div>
    
  {else}
    <h4>{$amplang.abusereportsheader}</h4>
  <table class="table table-hover" width="100%">
  <tr>
  <th width="20%">{$amplang.reportid}</th>
  <th width="20%">{$amplang.reportcategory}</th>
  <th width="20%">{$amplang.reportdate}</th>
  <th width="20%">{$amplang.reportstatus}</th>
  <th width="20%">{$amplang.actions}</th>
  </tr>
  {foreach $clientreports as $r}
  <tr>
  <td>{$r.reportid}</td>
  <td>{$r.category}</td>
  <td>{$r.incidentdate}</td>
  {if $r.status eq 'open'}
            <td><span class="label label-warning">{$r.status}</span></td>
          {else}
            <td><span class="label label-default">{$r.status}</span></td>
          {/if}
  <td><form action='' method='POST'><input type='hidden' name='reportid' value='{$r.reportid}'><button name='page' class='btn btn-default' value='detail'>{$amplang.viewbutton}</button></form></td>
  </tr> 
  {/foreach}
  </table>
  {/if}
{else}
{if $enablepublicpage eq 'on'}
{if $smarty.get.msg eq 'success'}
    <div class="alert alert-success" role="alert"><p align="center"><b>{$amplang.success}</b> {$amplang.thankyousubmitreport}</p></div>
    {elseif $smarty.get.msg eq 'submissionerror'}
    <div class="alert alert-danger" role="alert"><p align="center"><b>{$amplang.error}</b> {$amplang.publicpageerror}</p></div>
    {/if}
<form method="POST" action="" class="form-horizontal" role="form">
        <input type="hidden" name="publicform" value="send">

            <div class="form-group">
                <label for="inputName" class="col-sm-3 control-label">{$amplang.emailaddresslabel}</label>
                <div class="col-sm-7">
                    <input type="text" name="email" value="" class="form-control">
                </div>
            </div>
            <div class="form-group">
                <label for="inputSubject" class="col-sm-3 control-label">{$amplang.abusecategorylabel}</label>
                <div class="col-sm-7">
                    <select name="category" class="form-control">
                    <option selected='selected' disabled>--{$amplang.selectcategorydropdown}--</option>
                    {$abusecategorieslist}
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label for="inputSubject" class="col-sm-3 control-label">{$amplang.abusedatereport}</label>
                <div class="col-sm-7">
                    <input type="subject" name="incidentdate" value="{$currentdate}" class="form-control">
                    <span id="helpBlock" class="help-block">{$amplang.exampleshownabove}</span>
                </div>
            </div>
            <div class="form-group">
                <label for="inputMessage" class="col-sm-3 control-label">{$amplang.abusereportlabel}</label>
                <div class="col-sm-9">
                    <textarea name="abusereport" rows="7" class="form-control"></textarea>
                    <span id="helpBlock" class="help-block">{$amplang.enterallrelevantinformation}</span>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-offset-3 col-sm-9">
                                <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">{$amplang.spambotverificationheader}</h3>
            </div>
            <div class="panel-body">
                <p>{$amplang.pleasecompletecaptchachallenge}</p>
                                    <div class="g-recaptcha" data-sitekey="{$recaptchasitekey}"></div>
                            </div>
        </div>
    
                </div>
            </div>

            <div class="form-group">
                <div class="text-center">
                    <button type="submit" class="btn btn-primary">{$amplang.sendabusereportbutton}</button>
                </div>
            </div>

    </form>
    {else}
    <div class="alert alert-danger" role="alert"><p align="center"><b>{$amplang.error}</b> {$amplang.publicfacingpagedisabled}</p></div>
{/if}
{/if}
    
