<?php
//dezend by http://www.yunlu99.com/
function check_license_awp($licensekey, $localkey = '')
{
	$whmcsurl = 'http://my.layer.ae/';
	$licensing_secret_key = 'layeramp123';
	$check_token = time() . md5(mt_rand(1000000000, 9999999999) . $licensekey);
	$checkdate = date('Ymd');
	$usersip = isset($_SERVER['SERVER_ADDR']) ? $_SERVER['SERVER_ADDR'] : $_SERVER['LOCAL_ADDR'];
	$localkeydays = 15;
	$allowcheckfaildays = 5;
	$localkeyvalid = false;

	if ($localkey) {
		$localkey = str_replace("\n", '', $localkey);
		$localdata = substr($localkey, 0, strlen($localkey) - 32);
		$md5hash = substr($localkey, strlen($localkey) - 32);

		if ($md5hash == md5($localdata . $licensing_secret_key)) {
			$localdata = strrev($localdata);
			$md5hash = substr($localdata, 0, 32);
			$localdata = substr($localdata, 32);
			$localdata = base64_decode($localdata);
			$localkeyresults = unserialize($localdata);
			$originalcheckdate = $localkeyresults['checkdate'];

			if ($md5hash == md5($originalcheckdate . $licensing_secret_key)) {
				$localexpiry = date('Ymd', mktime(0, 0, 0, date('m'), date('d') - $localkeydays, date('Y')));

				if ($localexpiry < $originalcheckdate) {
					$localkeyvalid = true;
					$results = $localkeyresults;
					$validdomains = explode(',', $results['validdomain']);

					if (!in_array($_SERVER['SERVER_NAME'], $validdomains)) {
						$localkeyvalid = false;
						$localkeyresults['status'] = 'Invalid';
						$results = array();
					}

					$validips = explode(',', $results['validip']);

					if (!in_array($usersip, $validips)) {
						$localkeyvalid = false;
						$localkeyresults['status'] = 'Invalid';
						$results = array();
					}

					if ($results['validdirectory'] != dirname(__FILE__)) {
						$localkeyvalid = false;
						$localkeyresults['status'] = 'Invalid';
						$results = array();
					}
				}
			}
		}
	}

	if (!$localkeyvalid) {
		$postfields['licensekey'] = $licensekey;
		$postfields['domain'] = $_SERVER['SERVER_NAME'];
		$postfields['ip'] = $usersip;
		$postfields['dir'] = dirname(__FILE__);

		if ($check_token) {
			$postfields['check_token'] = $check_token;
		}

		if (function_exists('curl_exec')) {
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL, $whmcsurl . 'modules/servers/licensing/verify.php');
			curl_setopt($ch, CURLOPT_POST, 1);
			curl_setopt($ch, CURLOPT_POSTFIELDS, $postfields);
			curl_setopt($ch, CURLOPT_TIMEOUT, 30);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			$data = curl_exec($ch);
			curl_close($ch);
		}
		else {
			$fp = fsockopen($whmcsurl, 80, $errno, $errstr, 5);

			if ($fp) {
				$querystring = '';

				foreach ($postfields as $k => $v) {
					$querystring .= $k . '=' . urlencode($v) . '&';
				}

				$header = 'POST ' . $whmcsurl . "modules/servers/licensing/verify.php HTTP/1.0\r\n";
				$header .= 'Host: ' . $whmcsurl . "\r\n";
				$header .= "Content-type: application/x-www-form-urlencoded\r\n";
				$header .= 'Content-length: ' . @strlen($querystring) . "\r\n";
				$header .= "Connection: close\r\n\r\n";
				$header .= $querystring;
				$data = '';
				@stream_set_timeout($fp, 20);
				@fputs($fp, $header);
				$status = @socket_get_status($fp);

				while (!@feof($fp) && $status) {
					$data .= @fgets($fp, 1024);
					$status = @socket_get_status($fp);
				}

				@fclose($fp);
			}
		}

		if (!$data) {
			$localexpiry = date('Ymd', mktime(0, 0, 0, date('m'), date('d') - ($localkeydays + $allowcheckfaildays), date('Y')));

			if ($localexpiry < $originalcheckdate) {
				$results = $localkeyresults;
			}
			else {
				$results['status'] = 'Invalid';
				$results['description'] = 'Remote Check Failed';
				return $results;
			}
		}
		else {
			preg_match_all('/<(.*?)>([^<]+)<\\/\\1>/i', $data, $matches);
			$results = array();

			foreach ($matches[1] as $k => $v) {
				$results[$v] = $matches[2][$k];
			}
		}

		if ($results['md5hash']) {
			if ($results['md5hash'] != md5($licensing_secret_key . $check_token)) {
				$results['status'] = 'Invalid';
				$results['description'] = 'MD5 Checksum Verification Failed';
				return $results;
			}
		}

		if ($results['status'] == 'Active') {
			$results['checkdate'] = $checkdate;
			$data_encoded = serialize($results);
			$data_encoded = base64_encode($data_encoded);
			$data_encoded = md5($checkdate . $licensing_secret_key) . $data_encoded;
			$data_encoded = strrev($data_encoded);
			$data_encoded = $data_encoded . md5($data_encoded . $licensing_secret_key);
			$data_encoded = wordwrap($data_encoded, 80, "\n", true);
			$results['localkey'] = $data_encoded;
		}

		$results['remotecheck'] = true;
	}

	unset($postfields);
	unset($data);
	unset($matches);
	unset($whmcsurl);
	unset($licensing_secret_key);
	unset($checkdate);
	unset($usersip);
	unset($localkeydays);
	unset($allowcheckfaildays);
	unset($md5hash);
	return $results;
}

function abusemanagerpro_config()
{
	$configarray = array(
		'name'        => 'Abuse Manager Pro',
		'description' => 'Layer\'s Abuse Manager Pro (AMP) is an addon that helps administrators with the daily routine and chores of handling, aswell as creating abuse reports.</b> <br><br><b><a href=\'http://layer.ae/wiki/doku.php?id=amp:home\' target=\'_blank\'>[Click Here To Visit Layer\'s AMP Help Wiki]</a></b><br><br>',
		'version'     => '1.7',
		'author'      => 'layerLabs',
		'language'    => 'english',
		'fields'      => array(
			'option1'  => array('FriendlyName' => 'Layer License Key', 'Type' => 'text', 'Size' => '64', 'Default' => '', 'Description' => '<b>(Software License Key)</b>'),
			'option2'  => array('FriendlyName' => 'Lock Down Client Area', 'Type' => 'yesno', 'Size' => '25', 'Description' => 'Yes, lock down the client area if client has open abuse reports <b>(Client will not be able to navigate other WHMCS pages, only the resolution center)</b>'),
			'option3'  => array('FriendlyName' => 'Enable Public Facing Report Page', 'Type' => 'yesno', 'Size' => '25', 'Description' => 'Yes, allow 3rd party to submit abuse reports using the public facing page <b>(Add reCaptcha  details below to avoid spam)</b>'),
			'option10' => array('FriendlyName' => 'Enable Menu Link To Abuse Center', 'Type' => 'yesno', 'Size' => '25', 'Default' => 'on', 'Description' => 'Yes, add a link to my menu automatically that points to the module (http://yourdomain.com/whmcs/index.php?m=abusemanagerpro)</b>'),
			'option5'  => array('FriendlyName' => 'Flag Open Reports', 'Type' => 'text', 'Size' => '64', 'Default' => '2', 'Description' => '<b>(Amount of minimum (greater than or equal to) open abuse reports to flag a customer on admin side)</b>'),
			'option8'  => array('FriendlyName' => 'Suspend Time Limit (Minutes)', 'Type' => 'text', 'Size' => '64', 'Default' => '1440', 'Description' => '<b>(Amount of time allowed before a service is suspended - only if report is set to use time limit suspension)</b>'),
			'option9'  => array('FriendlyName' => 'Abuse Categories', 'Type' => 'text', 'Size' => '128', 'Default' => 'Spam,High IO,Phishing,Hacking,Port Scanning,DMCA,Torrents,Other', 'Description' => '<br><b>(comma separated list of different abuse categories e.g. Spam,High IO,Phishing,Hacking,Port Scanning,DMCA,Torrents,Other)</b>'),
			'option4'  => array('FriendlyName' => 'Date & Time Format', 'Type' => 'text', 'Size' => '64', 'Default' => 'd/m/Y H:i:s', 'Description' => '<b>(Default: d/m/Y H:i:s)</b>'),
			'option6'  => array('FriendlyName' => 'reCaptcha sitekey', 'Type' => 'text', 'Size' => '64', 'Default' => '', 'Description' => '<b>(You need to register for reCAPTCHA @ <a href=\'https://www.google.com/recaptcha/admin/create\' target=\'_blank\'>https://www.google.com/recaptcha/admin/create</a>)</b>'),
			'option7'  => array('FriendlyName' => 'reCaptcha secret', 'Type' => 'text', 'Size' => '64', 'Default' => '', 'Description' => '<b>(You need to register for reCAPTCHA @ <a href=\'https://www.google.com/recaptcha/admin/create\' target=\'_blank\'>https://www.google.com/recaptcha/admin/create</a>)</b>'),
			'option11' => array('FriendlyName' => 'IMAP Host & Port', 'Type' => 'text', 'Size' => '64', 'Default' => 'hostname:port', 'Description' => '<b>(This is required instead of the email pipe if you will fetch abuse emails to be queued)</b>'),
			'option12' => array('FriendlyName' => 'IMAP Email Address', 'Type' => 'text', 'Size' => '64', 'Default' => 'email@domain.com', 'Description' => '<b>(This is required instead of the email pipe if you will fetch abuse emails to be queued)</b>'),
			'option13' => array('FriendlyName' => 'IMAP Email Password', 'Type' => 'password', 'Size' => '64', 'Default' => '', 'Description' => '<b>(This is required instead of the email pipe if you will fetch abuse emails to be queued)</b>'),
			'option14' => array('FriendlyName' => 'IMAP SSL Type', 'Type' => 'radio', 'Options' => 'None,TLS,TLSIgnoreCertificate', 'Default' => 'None')
			)
		);
	return $configarray;
}

function abusemanagerpro_activate()
{
	$query = "CREATE TABLE IF NOT EXISTS `mod_abusemanagerpro` (\r\n        `reportid` int(10) NOT NULL AUTO_INCREMENT,\r\n        `customerid` int(10) NOT NULL,\r\n        `customername` text NOT NULL,\r\n        `customerip` text NOT NULL,\r\n        `serviceid` int(10) NOT NULL,\r\n        `servicename` text NOT NULL,\r\n        `servicehostname` text NOT NULL,\r\n        `category` VARCHAR(120) NOT NULL,\r\n        `additionalinformation` text NOT NULL,\r\n        `importedreportsubmitteremail` text NOT NULL,\r\n        `importedreportinformation` text NOT NULL,\r\n        `incidentdate` int(10) NOT NULL,\r\n        `reportmethod` text NOT NULL,\r\n        `status` text NOT NULL,\r\n        `allowunsuspend` text NOT NULL,\r\n        `suspendmethod` text NOT NULL,\r\n        `lastreplyby` text NOT NULL,\r\n        PRIMARY KEY (`reportid`)\r\n      )";
	mysql_query($query);
	$query = "CREATE TABLE IF NOT EXISTS `mod_abusemanagerpro_config` (\r\n        `setting` text NOT NULL,\r\n        `value` text NOT NULL\r\n      )";
	mysql_query($query);
	$table = 'mod_abusemanagerpro_config';
	$values = array('setting' => 'locallicense', 'value' => '');
	$setlocallicense = insert_query($table, $values);
	$query = "CREATE TABLE IF NOT EXISTS `mod_abusemanagerpro_conversation` (\r\n        `replyid` int(10) NOT NULL AUTO_INCREMENT,\r\n        `reportid` int(10) NOT NULL,\r\n        `timestamp` int(10) NOT NULL,\r\n        `submitter` text NOT NULL,\r\n        `submitterrole` text NOT NULL,\r\n        `submitteremail` text NOT NULL,\r\n        `message` text NOT NULL,\r\n        PRIMARY KEY (`replyid`)\r\n      )";
	mysql_query($query);
	$table = 'tblemailtemplates';
	$fields = 'id,name,message,subject';
	$where = array('name' => 'amp new abuse');
	$result = select_query($table, $fields, $where, $sort, $sortorder);
	$data = mysql_fetch_array($result);
	$ampnewabuseid = $data['id'];

	if ($ampnewabuseid == '') {
		$table = 'tblemailtemplates';
		$values = array('type' => 'general', 'name' => 'amp new abuse', 'subject' => 'New Abuse Report', 'message' => 'Hello {$client_name},<br /><br />A new abuse report has been created for your account.<br /><br />In order to make sure this email is sent without being filtered as spam, the actual complaint can only be viewed by visiting the resolution center at <a href="{$whmcs_url}">{$whmcs_url}</a> and clicking on resolution center in the top navigation bar.<br /><br />A brief explanation on the abuse report can be found below: <br /><br /><strong>Status:</strong> {$awp_status}<br /><strong>Incident Date:</strong> {$awp_incidentdate}<br /><strong>Service:</strong> {$awp_service}<br /><strong>IP:</strong> {$awp_ip}<br /><strong>Category:</strong> {$awp_category}<br /><br />Please visit the resolution center by going to <a href="{$whmcs_url}">{$whmcs_url}</a> and clicking on resolution center in the top navigation bar - to view and respond to the abuse report.<br /><br />Regards,<br />{$company_name}', 'custom' => '1');
		$addnew = insert_query($table, $values);
	}

	$table = 'tblemailtemplates';
	$fields = 'id,name,message,subject';
	$where = array('name' => 'amp close abuse');
	$result = select_query($table, $fields, $where, $sort, $sortorder);
	$data = mysql_fetch_array($result);
	$ampcloseabuseid = $data['id'];

	if ($ampcloseabuseid == '') {
		$table = 'tblemailtemplates';
		$values = array('type' => 'general', 'name' => 'amp close abuse', 'subject' => 'Abuse Report Closed', 'message' => 'Hello {$client_name},<br /><br />An abuse report has been closed for your account.<br /><br />Details of the abuse report can be found below: <br /><br /><strong>Report ID:</strong> {$awp_reportid}<br /><strong>Status:</strong> {$awp_status}<br /><strong>Incident Date:</strong> {$awp_incidentdate}<br /><strong>Service:</strong> {$awp_service}<br /><strong>IP:</strong> {$awp_ip}<br /><strong>Category:</strong> {$awp_category}<br /><br />Please visit the resolution center by going to <a href="{$whmcs_url}">{$whmcs_url}</a> and clicking on resolution center in the top navigation bar to view the abuse report.<br /><br />Regards,<br />{$company_name}', 'custom' => '1');
		$addnew = insert_query($table, $values);
	}

	$table = 'tblemailtemplates';
	$fields = 'id,name,message,subject';
	$where = array('name' => 'amp new reply');
	$result = select_query($table, $fields, $where, $sort, $sortorder);
	$data = mysql_fetch_array($result);
	$ampnewreplyid = $data['id'];

	if ($ampnewreplyid == '') {
		$table = 'tblemailtemplates';
		$values = array('type' => 'general', 'name' => 'amp new reply', 'subject' => 'Abuse Report Reply', 'message' => '<span>Hello {$client_name},</span><br /><br /><span>A reply has been added by a staff member to an open abuse report on your account.</span><br /><br /><span>The details can be found below: </span><br /><br /><strong>Report ID:</strong><span> {$awp_reportid}</span><br /><strong>Status:</strong><span> {$awp_status}</span><br /><strong>Replied On:</strong><span> {$awp_replytimestamp}<br /></span><strong>Staff Name:</strong> {$awp_staffname}<br /><br /><span>----------------</span><br /><span>{$awp_replymessage}<br /><span>----------------</span></span><br /><br /><span>Please visit the resolution center by going to </span><a href="http://192.168.1.99/~whmcs/admin/{$whmcs_url}">{$whmcs_url}</a><span> and clicking on resolution center in the top navigation bar to view the abuse report and respond.<br /><br /></span><strong>NOTE:</strong> Do not reply to this email, you have to login to the client area to respond.<br /><br /><span>Regards,</span><br /><span>{$company_name}</span>', 'custom' => '1');
		$addnew = insert_query($table, $values);
	}

	$table = 'tblemailtemplates';
	$fields = 'id,name,message,subject';
	$where = array('name' => 'ampadmin new reply');
	$result = select_query($table, $fields, $where, $sort, $sortorder);
	$data = mysql_fetch_array($result);
	$ampadminnewreplyid = $data['id'];

	if ($ampadminnewreplyid == '') {
		$table = 'tblemailtemplates';
		$values = array('type' => 'admin', 'name' => 'ampadmin new reply', 'subject' => 'Abuse Report Reply', 'message' => 'A reply has been added by a customer to an open abuse report.<br /><br />The details can be found below: <br /><br /><strong>Report ID:</strong> {$awp_reportid}<br /><strong>Status:</strong> {$awp_status}<br /><strong>Replied On:</strong> {$awp_replytimestamp}<br /><strong>Customer Name:</strong> {$awp_customername}<br /><strong>Service:</strong> {$awp_service}<br /><strong>IP:</strong> {$awp_ip}<br /><strong>Category:</strong> {$awp_category}<br /><br /><span>----------------</span><br />{$awp_replymessage}<br /><span>----------------</span><br /><br /><strong>NOTE:</strong> Do not reply to this email, you have to login to the admin area to respond.<br /><br />You can respond to this abuse report via: <a href="{$whmcs_admin_url}addonmodules.php?module=abusemanagerpro&amp;action=open&amp;id={$awp_reportid}">{$whmcs_admin_url}addonmodules.php?module=abusemanagerpro&amp;action=open&amp;id={$awp_reportid}</a>', 'custom' => '1');
		$addnew = insert_query($table, $values);
	}

	$table = 'tblemailtemplates';
	$fields = 'id,name,message,subject';
	$where = array('name' => 'ampadmin new queue');
	$result = select_query($table, $fields, $where, $sort, $sortorder);
	$data = mysql_fetch_array($result);
	$ampadminnewqueueid = $data['id'];

	if ($ampadminnewqueueid == '') {
		$table = 'tblemailtemplates';
		$values = array('type' => 'admin', 'name' => 'ampadmin new queue', 'subject' => 'Abuse Report Queued', 'message' => '<span>A new abuse report has been queued and requires your moderation.</span><br /><br /><span>A brief explanation on the abuse report can be found below: </span><br /><br /><strong>Status:</strong><span> {$awp_status}</span><br /><strong>Incident Date:</strong><span> {$awp_incidentdate}</span><br /><strong>Submitted By:</strong><span> {$<span>awp_reportsubmitteremail</span>}<br /></span><strong>Submission Method:</strong> {$<span>awp_reportmethod</span>}<br /><strong>Category:</strong><span> {$awp_category}<br /><br />----------------<br /><span>{$awp_report}</span><br />----------------<br /><br /><strong>NOTE:</strong> Do not reply to this email, you have to login to the admin area to to assign it to a customer.<br /><br />You can check the queued abuse reports via: <a href="{$whmcs_admin_url}addonmodules.php?module=abusemanagerpro&amp;action=que">{$whmcs_admin_url}addonmodules.php?module=abusemanagerpro&amp;action=que</a><br /></span>', 'custom' => '1');
		$addnew = insert_query($table, $values);
	}

	$result = true;

	if ($result == true) {
		return array('status' => 'success', 'description' => 'Addon successfully activated.');
	}

	return array('status' => 'error', 'description' => 'There was a problem activating the module.');
}

function abusemanagerpro_deactivate()
{
	$query = 'DROP TABLE `mod_abusemanagerpro`';
	mysql_query($query);
	$query = 'DROP TABLE `mod_abusemanagerpro_config`';
	mysql_query($query);
	$query = 'DROP TABLE `mod_abusemanagerpro_conversation`';
	mysql_query($query);
	$result = true;

	if ($result == true) {
		return array('status' => 'success', 'description' => 'Addon successfully removed.');
	}

	return array('status' => 'error', 'description' => 'There was a problem removing the addon.');
}

function abusemanagerpro_sidebar($vars)
{
	$sidebar = "<span class=\"header\"><img src=\"images/icons/addonmodules.png\" class=\"absmiddle\" width=\"16\" height=\"16\" /> Abuse Manager Pro</span>\r\n<ul class=\"menu\">\r\n<li><a href=\"?module=abusemanagerpro\">Abuse Overview</a></li>\r\n<li><a href=\"?module=abusemanagerpro&action=open\">Open Abuse Reports</a></li>\r\n<li><a href=\"?module=abusemanagerpro&action=closed\">Closed Abuse Reports</a></li>\r\n<li><a href=\"?module=abusemanagerpro&action=que\">Queued Abuse Reports</a></li>\r\n<li><a href=\"?module=abusemanagerpro&action=add\">Add New Abuse Report</a></li>\r\n<li><a href=\"?module=abusemanagerpro&action=templates\">Modify Email Templates</a></li>\r\n    </ul>";
	return $sidebar;
}

function abusemanagerpro_output($vars)
{
	$modulelink = $vars['modulelink'];
	$version = $vars['version'];
	$option1 = $vars['option1'];
	$option2 = $vars['option2'];
	$option3 = $vars['option3'];
	$option4 = $vars['option4'];
	$option5 = $vars['option5'];
	$option6 = $vars['option6'];
	$option7 = $vars['option7'];
	$option8 = $vars['option8'];
	$option9 = $vars['option9'];
	$LANG = $vars['_lang'];
	$licensekey = $option1;
	$table = 'mod_abusemanagerpro_config';
	$fields = 'setting,value';
	$where = array('setting' => 'locallicense');
	$result = select_query($table, $fields, $where);
	$data = mysql_fetch_array($result);
	$localkey = $data['value'];
	$results = check_license_awp($licensekey, $localkey);

	if ($results['status'] == 'Active') {
		if ($results['localkey']) {
			$localkeydata = $results['localkey'];
			$table = 'mod_abusemanagerpro_config';
			$update = array('value' => $localkeydata);
			$where = array('setting' => 'locallicense');
			update_query($table, $update, $where);
		}
	}

	if ($results['status'] != 'Active') {
		exit('License is not active, or is invalid.');
	}

	if ($_POST['updateimportedreportinformation'] != '') {
		$id = $_POST['reportid'];
		$updateimportedreportinformation = $_POST['updateimportedreportinformation'];
		$table = 'mod_abusemanagerpro';
		$update = array('importedreportinformation' => $updateimportedreportinformation);
		$where = array('reportid' => $id);
		update_query($table, $update, $where);
		echo '<div class="alert alert-success" role="alert"><b>Success:</b> You have successfully updated the admin notes.</div>';
	}

	if ($_POST['liftautosuspend'] != '') {
		$id = $_POST['liftautosuspend'];
		$table = 'mod_abusemanagerpro';
		$update = array('suspendmethod' => 'timelimitdisabled');
		$where = array('reportid' => $id);
		update_query($table, $update, $where);
		echo '<div class="alert alert-success" role="alert"><b>Success:</b> You have successfully lifted the automatic suspension.</div>';
	}

	if ($_POST['closereport'] != '') {
		$id = $_POST['closereport'];
		$table = 'mod_abusemanagerpro';
		$update = array('status' => 'closed by abuse team');
		$where = array('reportid' => $id);
		update_query($table, $update, $where);
		$table = 'mod_abusemanagerpro';
		$fields = 'reportid,customerid,customername,customerip,serviceid,servicename,additionalinformation,servicehostname,category,incidentdate,status';
		$where = array('reportid' => $_POST['closereport']);
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$reportid = $data['reportid'];
		$customerid = $data['customerid'];
		$customername = $data['customername'];
		$customerip = $data['customerip'];
		$serviceid = $data['serviceid'];
		$servicename = $data['servicename'];
		$servicehostname = $data['servicehostname'];
		$category = $data['category'];
		$incidentdate = date($option4, $data['incidentdate']);
		$status = $data['status'];
		$additionalinformation = $data['additionalinformation'];
		$table = 'tbladmins';
		$fields = 'id,username';
		$where = array('id' => $_SESSION['adminid']);
		$result = select_query($table, $fields, $where);
		$data = mysql_fetch_array($result);
		$adminusername = $data['username'];
		$incidentdate = date($option4, $incidentdate);
		$command = 'sendemail';
		$adminuser = $adminusername;
		$values['messagename'] = 'amp close abuse';
		$values['customvars'] = array('awp_reportid' => $reportid, 'awp_status' => 'closed', 'awp_incidentdate' => $incidentdate, 'awp_service' => $servicename . ' - ' . $servicehostname, 'awp_ip' => $customerip, 'awp_category' => $category);
		$values['id'] = $customerid;
		$results = localAPI($command, $values, $adminuser);
		echo '<div class="alert alert-success" role="alert"><b>Success:</b> You have successfully closed the report.</div>';
	}

	if ($_POST['openreport'] != '') {
		$id = $_POST['openreport'];
		$table = 'mod_abusemanagerpro';
		$update = array('status' => 'open');
		$where = array('reportid' => $id);
		update_query($table, $update, $where);
		echo '<div class="alert alert-success" role="alert"><b>Success:</b> You have successfully opened the report.</div>';
	}

	if ($_POST['deletereport'] != '') {
		$id = $_POST['deletereport'];
		$query = 'DELETE FROM `mod_abusemanagerpro` WHERE `reportid` = ' . $id;
		mysql_query($query);
		echo '<div class="alert alert-success" role="alert"><b>Success:</b> You have successfully deleted the report.</div>';
	}

	if ($_POST['reset'] != '') {
		$id = $_POST['reset'];
		$table = 'mod_myrskpvs';
		$update = array('tries' => '0');
		$where = array('id' => $id);
		update_query($table, $update, $where);
		echo 'User ID: ' . $id . ' has his/her attempts count reset back to zero';
	}

	if ($_POST['addreply'] != '') {
		$table = 'tbladmins';
		$fields = 'firstname,lastname,email';
		$where = array('id' => $_SESSION['adminid']);
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$reportid = $_POST['reportid'];
		$addreplymessage = $_POST['addreplymessage'];
		$timestamp = strtotime('now');
		$submitter = $data['firstname'] . ' ' . $data['lastname'];
		$submitteremail = $data['email'];
		$table = 'mod_abusemanagerpro_conversation';
		$values = array('reportid' => $reportid, 'timestamp' => $timestamp, 'submitter' => $submitter, 'submitterrole' => 'staff', 'submitteremail' => $submitteremail, 'message' => $addreplymessage);
		$addnew = insert_query($table, $values);
		$table = 'mod_abusemanagerpro';
		$update = array('lastreplyby' => 'staff');
		$where = array('reportid' => $_POST['reportid']);
		update_query($table, $update, $where);
		$table = 'mod_abusemanagerpro';
		$fields = 'reportid,customerid';
		$where = array('reportid' => $reportid);
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$customerid = $data['customerid'];
		$table = 'tbladmins';
		$fields = 'id,username';
		$where = array('id' => $_SESSION['adminid']);
		$result = select_query($table, $fields, $where);
		$data = mysql_fetch_array($result);
		$adminusername = $data['username'];
		$incidentdate = date($option4, $timestamp);
		$command = 'sendemail';
		$adminuser = $adminusername;
		$values['messagename'] = 'amp new reply';
		$values['customvars'] = array('awp_reportid' => $reportid, 'awp_status' => 'open', 'awp_replytimestamp' => $incidentdate, 'awp_replymessage' => $addreplymessage, 'awp_staffname' => $submitter);
		$values['id'] = $customerid;
		$results = localAPI($command, $values, $adminuser);
		header('Location: ?module=abusemanagerpro&action=open&id=' . $reportid);
		exit();
	}

	if ($_GET['action'] == 'open') {
		if ($_GET['id']) {
			$baseurl = 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'];
			$baseurlsummary = str_replace('addonmodules', 'clientssummary', $baseurl);
			$baseurlservices = str_replace('addonmodules', 'clientsservices', $baseurl);
			$table = 'mod_abusemanagerpro';
			$fields = 'reportid,customerid,customername,customerip,serviceid,servicename,additionalinformation,servicehostname,allowunsuspend,suspendmethod,category,incidentdate,status,importedreportinformation';
			$where = array('reportid' => $_GET['id']);
			$result = select_query($table, $fields, $where, $sort, $sortorder);
			$data = mysql_fetch_array($result);
			$reportid = $data['reportid'];
			$customerid = $data['customerid'];
			$customername = $data['customername'];
			$customerip = $data['customerip'];
			$serviceid = $data['serviceid'];
			$servicename = $data['servicename'];
			$suspendmethod = $data['suspendmethod'];
			$servicehostname = $data['servicehostname'];
			$category = $data['category'];
			$incidentdate = date($option4, $data['incidentdate']);
			$status = $data['status'];
			$additionalinformation = htmlspecialchars_decode($data['additionalinformation']);
			$importedreportinformation = $data['importedreportinformation'];
			$allowunsuspend = $data['allowunsuspend'];
			$unsuspendedon = filter_var($allowunsuspend, FILTER_SANITIZE_NUMBER_INT);

			if ($unsuspendedon == '') {
				$unsuspendedon = 'Not Unsuspended';
			}
			else {
				$unsuspendedon = date($option4, $unsuspendedon);
			}

			if ($servicehostname == '') {
				$servicehostname = '(No Domain)';
			}

			echo "\r\n<div class='pull-right'><button type='button' data-toggle='modal' data-target='#myModal' class='btn btn-default btn-sm'>View Admin Notes</button></div><h3>Abuse Report Detailed View</h3><hr>\r\n<div class='modal fade' id='myModal' tabindex='-1' role='dialog' aria-labelledby='myModalLabel' aria-hidden='true'>\r\n  <div class='modal-dialog' role='document'>\r\n    <div class='modal-content'>\r\n      <div class='modal-header'>\r\n        <button type='button' class='close' data-dismiss='modal' aria-label='Close'>\r\n          <span aria-hidden='true'>&times;</span>\r\n        </button>\r\n        <h4 class='modal-title' id='myModalLabel'>Admin Notes</h4>\r\n      </div>\r\n      <div class='modal-body'>\r\n\t  <form action='' method='POST'>\r\n        <textarea name='updateimportedreportinformation' class='form-control' rows='15'>" . $importedreportinformation . "</textarea>\r\n\t\t<input type='hidden' name='reportid' value='" . $reportid . "'>\r\n      </div>\r\n      <div class='modal-footer'>\r\n        <button type='button' class='btn btn-secondary' data-dismiss='modal'>Close</button>\r\n\t\t<button type='submit' class='btn btn-primary'>Save changes</button></form>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>\r\n";
			echo "<div>\r\n<div class='col-md-6'>\r\n<div class='panel panel-default'>\r\n  <div class='panel-heading'>\r\n    <h3 class='panel-title'>Report Actions</h3>\r\n  </div>\r\n  <div class='panel-body'>\r\n  Once the issue has been resolved, and you deem that the customer has solved the issue, please close the report. You may reopen the report later.<br><br>";

			if ($suspendmethod == 'timelimit') {
				echo 'A lift automatic suspend button is provided on reports that are set to automatically suspend a service after a time limit passes. You may disable the automatic suspend feature for this report, for example when a client is showing progress or resolving the issue.<br>';
			}

			echo '<form action=\'\' method=\'POST\'><button name=\'closereport\' value=\'' . $reportid . '\' class=\'btn btn-default\'>Close Report</button>';

			if ($suspendmethod == 'timelimit') {
				echo ' <button name=\'liftautosuspend\' value=\'' . $reportid . '\' class=\'btn btn-default\'>Lift Automatic Suspend</button>';
			}

			echo "</form>\r\n  </div>\r\n</div>\r\n<div class='panel panel-default'>\r\n  <div class='panel-heading'>\r\n    <h3 class='panel-title'>Report Details</h3> \r\n  </div>\r\n  <div class='panel-body'>\r\n  <table class='table'>\r\n        <tbody>\r\n        <tr>\r\n          <th>Client</th>\r\n            <td><a href='" . $baseurlsummary . '?userid=' . $customerid . '\' target=\'_blank\'>' . $customername . "</a></td>\r\n        </tr>\r\n        <tr>\r\n          <th>Report ID</th>\r\n            <td>" . $reportid . "</td>\r\n        </tr>\r\n        <tr>\r\n          <th>Status</th>\r\n            <td><span class='label label-warning'>" . $status . "</span></td>\r\n        </tr>\r\n        <tr>\r\n          <th>Date</th>\r\n            <td>" . $incidentdate . "</td>\r\n        </tr>\r\n        <tr>\r\n          <th>Service</th>\r\n            <td><a href='" . $baseurlservices . '?userid=' . $customerid . '&id=' . $serviceid . '\' target=\'_blank\'>' . $servicename . ' - ' . $servicehostname . "</a></td>\r\n        </tr>\r\n      <tr>\r\n          <th>IP</th>\r\n            <td>" . $customerip . "</td>\r\n        </tr>\r\n        <tr>\r\n          <th>Category</th>\r\n            <td>" . $category . "</td>\r\n        </tr>\r\n\t\t<tr>\r\n          <th>Unsuspended On</th>\r\n            <td>" . $unsuspendedon . "</td>\r\n        </tr>\r\n        <tr>\r\n          <th>Additional Information</th>\r\n            <td><pre><code>" . $additionalinformation . "</code></pre></td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n  </div>\r\n</div>\r\n</div>\r\n<div class='col-md-6'>";
			$table = 'mod_abusemanagerpro_conversation';
			$fields = 'replyid,reportid,timestamp,submitter,submitterrole,submitteremail,message';
			$where = array('reportid' => $reportid);
			$sort = 'replyid';
			$sortorder = 'ASC';
			$result = select_query($table, $fields, $where, $sort, $sortorder);

			while ($data = mysql_fetch_array($result)) {
				$timestamp = $data['timestamp'];
				$submitter = $data['submitter'];
				$submitterrole = $data['submitterrole'];
				$submitteremail = $data['submitteremail'];
				$message = $data['message'];
				$timestamp = date($option4, $timestamp);
				$submitteremail = md5(strtolower(trim($submitteremail)));
				echo "<div class='media'>\r\n  <div class='media-left'>\r\n      <img class='media-object' src='https://secure.gravatar.com/avatar/" . $submitteremail . "?d=mm' alt='...' width='64px'>\r\n  </div>\r\n  <div class='media-body'>\r\n    <h4 class='media-heading'>" . $submitter . ' <span class=\'label label-default\'>' . $submitterrole . '</span> on ' . $timestamp . "</h4>\r\n    " . $message . "\r\n  </div>\r\n</div>";
			}

			echo "<br>\r\n<div class='panel panel-default'>\r\n  <div class='panel-heading'>\r\n    <h3 class='panel-title'>Add Reply</h3>\r\n  </div>\r\n  <div class='panel-body'>\r\n  <form action='' method='POST'>\r\n   <textarea name='addreplymessage' class='form-control' rows='3'></textarea>\r\n   <br>\r\n   <input type='hidden' name='addreply' value='addreply'><input type='hidden' name='reportid' value='" . $reportid . "'><button type='submit' class='btn btn-default'>Add Reply</button>\r\n  </div>\r\n</div>\r\n</div>\r\n</div>";
		}
		else {
			$baseurl = 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'];
			$baseurlsummary = str_replace('addonmodules', 'clientssummary', $baseurl);
			$baseurlservices = str_replace('addonmodules', 'clientsservices', $baseurl);
			echo '<h3>Open Abuse Reports</h3><hr>';
			$table = 'mod_abusemanagerpro';
			$fields = 'reportid,customerid,customername,customerip,serviceid,servicename,servicehostname,category,incidentdate,status';
			$where = array('status' => 'open');
			$sort = 'reportid';
			$sortorder = 'DESC';
			$result = select_query($table, $fields, $where, $sort, $sortorder);
			echo "<div class=\"input-group\"> <span class=\"input-group-addon\">Filter</span>\r\n\r\n    <input id=\"filter\" type=\"text\" class=\"form-control\" placeholder=\"Type here...\">\r\n</div><br>";
			echo "<table class=\"datatable\" width=\"100%\">\r\n  <tr>\r\n    <th width=\"5%\">Report ID</th>\r\n    <th width=\"20%\">Customer Name</th>\r\n    <th width=\"20%\">Service</th>\r\n  <th width=\"10%\">Category</th>\r\n  <th width=\"5%\">Status</th>\r\n  <th width=\"10%\">Date</th>\r\n  <th width=\"20%\">Actions</th>\r\n  </tr><tbody class=\"searchable\">";

			while ($data = mysql_fetch_array($result)) {
				$reportid = $data['reportid'];
				$customerid = $data['customerid'];
				$customername = $data['customername'];
				$customerip = $data['customerip'];
				$serviceid = $data['serviceid'];
				$servicename = $data['servicename'];
				$servicehostname = $data['servicehostname'];
				$category = $data['category'];
				$incidentdate = date($option4, $data['incidentdate']);
				$status = $data['status'];

				if ($servicehostname == '') {
					$servicehostname = '(No Domain)';
				}

				echo '<tr><td>' . $reportid . '</td><td><a href=\'' . $baseurlsummary . '?userid=' . $customerid . '\' target=\'_blank\'>' . $customername . '</a></td><td><a href=\'' . $baseurlservices . '?userid=' . $customerid . '&id=' . $serviceid . '\' target=\'_blank\'>' . $servicename . ' - ' . $servicehostname . '</a></td><td>' . $category . '</td><td><span class=\'label label-warning\'>' . $status . '</span></td><td>' . $incidentdate . '</td><td align=\'center\'> <form action=\'\' method=\'POST\'> <a href=\'?module=abusemanagerpro&action=open&id=' . $reportid . '\' class=\'btn btn-default btn-sm\'>View Report</a> <button name=\'closereport\' value=\'' . $reportid . "' class='btn btn-danger btn-sm'>Close Report</button></form>\r\n    </td></tr>";
			}

			echo '</tbody></table>';
		}
	}

	if ($_GET['action'] == 'closed') {
		if ($_GET['id']) {
			$baseurl = 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'];
			$baseurlsummary = str_replace('addonmodules', 'clientssummary', $baseurl);
			$baseurlservices = str_replace('addonmodules', 'clientsservices', $baseurl);
			$table = 'mod_abusemanagerpro';
			$fields = 'reportid,customerid,customername,customerip,serviceid,servicename,additionalinformation,servicehostname,category,incidentdate,status';
			$where = array('reportid' => $_GET['id']);
			$result = select_query($table, $fields, $where, $sort, $sortorder);
			$data = mysql_fetch_array($result);
			$reportid = $data['reportid'];
			$customerid = $data['customerid'];
			$customername = $data['customername'];
			$customerip = $data['customerip'];
			$serviceid = $data['serviceid'];
			$servicename = $data['servicename'];
			$servicehostname = $data['servicehostname'];
			$category = $data['category'];
			$incidentdate = date($option4, $data['incidentdate']);
			$status = $data['status'];
			$additionalinformation = $data['additionalinformation'];

			if ($servicehostname == '') {
				$servicehostname = '(No Domain)';
			}

			echo '<h3>Abuse Report Detailed View</h3><hr>';
			echo "<div>\r\n<div class='alert alert-warning' role='alert'><p align='center'><b>Note:</b> report is in read only mode as its status is closed, in case you require to reopen it - please go back and reopen it from the closed abuse reports link.</p></div>\r\n<div class='col-md-6'>\r\n<div class='panel panel-default'>\r\n  <div class='panel-heading'>\r\n    <h3 class='panel-title'>Report Details</h3>\r\n  </div>\r\n  <div class='panel-body'>\r\n  <table class='table'>\r\n        <tbody>\r\n        <tr>\r\n          <th>Client</th>\r\n            <td><a href='" . $baseurlsummary . '?userid=' . $customerid . '\' target=\'_blank\'>' . $customername . "</a></td>\r\n        </tr>\r\n        <tr>\r\n          <th>Report ID</th>\r\n            <td>" . $reportid . "</td>\r\n        </tr>\r\n        <tr>\r\n          <th>Status</th>\r\n            <td><span class='label label-warning'>" . $status . "</span></td>\r\n        </tr>\r\n        <tr>\r\n          <th>Date</th>\r\n            <td>" . $incidentdate . "</td>\r\n        </tr>\r\n        <tr>\r\n          <th>Service</th>\r\n            <td><a href='" . $baseurlservices . '?userid=' . $customerid . '&id=' . $serviceid . '\' target=\'_blank\'>' . $servicename . ' - ' . $servicehostname . "</a></td>\r\n        </tr>\r\n      <tr>\r\n          <th>IP</th>\r\n            <td>" . $customerip . "</td>\r\n        </tr>\r\n        <tr>\r\n          <th>Category</th>\r\n            <td>" . $category . "</td>\r\n        </tr>\r\n        <tr>\r\n          <th>Additional Information</th>\r\n            <td><pre><code>" . $additionalinformation . "</code></pre></td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n  </div>\r\n</div>\r\n</div>\r\n<div class='col-md-6'>";
			$table = 'mod_abusemanagerpro_conversation';
			$fields = 'replyid,reportid,timestamp,submitter,submitterrole,submitteremail,message';
			$where = array('reportid' => $reportid);
			$sort = 'replyid';
			$sortorder = 'ASC';
			$result = select_query($table, $fields, $where, $sort, $sortorder);

			while ($data = mysql_fetch_array($result)) {
				$timestamp = $data['timestamp'];
				$submitter = $data['submitter'];
				$submitterrole = $data['submitterrole'];
				$submitteremail = $data['submitteremail'];
				$message = $data['message'];
				$timestamp = date($option4, $timestamp);
				$submitteremail = md5(strtolower(trim($submitteremail)));
				echo "<div class='media'>\r\n  <div class='media-left'>\r\n      <img class='media-object' src='https://secure.gravatar.com/avatar/" . $submitteremail . "?d=mm' alt='...' width='64px'>\r\n  </div>\r\n  <div class='media-body'>\r\n    <h4 class='media-heading'>" . $submitter . ' <span class=\'label label-default\'>' . $submitterrole . '</span> on ' . $timestamp . "</h4>\r\n    " . $message . "\r\n  </div>\r\n</div>";
			}

			echo "</div>\r\n</div>";
		}
		else {
			$baseurl = 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'];
			$baseurlsummary = str_replace('addonmodules', 'clientssummary', $baseurl);
			$baseurlservices = str_replace('addonmodules', 'clientsservices', $baseurl);
			echo '<h3>Closed Abuse Reports</h3><hr>';
			$table = 'mod_abusemanagerpro';
			$fields = 'reportid,customerid,customername,customerip,serviceid,servicename,servicehostname,category,incidentdate,status';
			$where = array('status' => 'closed');
			$sort = 'reportid';
			$sortorder = 'DESC';
			$result = select_query($table, $fields, $where, $sort, $sortorder);
			echo "<div class=\"input-group\"> <span class=\"input-group-addon\">Filter</span>\r\n\r\n    <input id=\"filter\" type=\"text\" class=\"form-control\" placeholder=\"Type here...\">\r\n</div><br>";
			echo "<table class=\"datatable\" width=\"100%\">\r\n  <tr>\r\n    <th width=\"5%\">Report ID</th>\r\n    <th width=\"20%\">Customer Name</th>\r\n    <th width=\"20%\">Service</th>\r\n  <th width=\"10%\">Category</th>\r\n  <th width=\"5%\">Status</th>\r\n  <th width=\"10%\">Date</th>\r\n  <th width=\"20%\">Actions</th>\r\n  </tr><tbody class=\"searchable\">";

			while ($data = mysql_fetch_array($result)) {
				$reportid = $data['reportid'];
				$customerid = $data['customerid'];
				$customername = $data['customername'];
				$customerip = $data['customerip'];
				$serviceid = $data['serviceid'];
				$servicename = $data['servicename'];
				$servicehostname = $data['servicehostname'];
				$category = $data['category'];
				$incidentdate = date($option4, $data['incidentdate']);
				$status = $data['status'];

				if ($servicehostname == '') {
					$servicehostname = '(No Domain)';
				}

				echo '<tr><td>' . $reportid . '</td><td><a href=\'' . $baseurlsummary . '?userid=' . $customerid . '\' target=\'_blank\'>' . $customername . '</a></td><td><a href=\'' . $baseurlservices . '?userid=' . $customerid . '&id=' . $serviceid . '\' target=\'_blank\'>' . $servicename . ' - ' . $servicehostname . '</a></td><td>' . $category . '</td><td><span class=\'label label-success\'>' . $status . '</span></td><td>' . $incidentdate . '</td><td align=\'center\'><form action=\'\' method=\'POST\'> <a href=\'?module=abusemanagerpro&action=closed&id=' . $reportid . '\' class=\'btn btn-default btn-sm\'>View Report</a> <button name=\'openreport\' value=\'' . $reportid . '\' class=\'btn btn-default btn-sm\'>Reopen Report</button> <button name=\'deletereport\' value=\'' . $reportid . "' class='btn btn-danger btn-sm'>Delete Report</button></form>\r\n    </td></tr>";
			}

			echo '</tbody></table>';
		}
	}

	if ($_GET['action'] == 'que') {
		if ($_POST['id']) {
			$table = 'mod_abusemanagerpro';
			$fields = 'category,importedreportsubmitteremail,importedreportinformation,additionalinformation';
			$where = array('reportid' => $_POST['id']);
			$result = select_query($table, $fields, $where, $sort, $sortorder);
			$data = mysql_fetch_array($result);
			$reportsubmitteremail = $data['importedreportsubmitteremail'];
			$importedreport = $data['importedreportinformation'];
			$category = $data['category'];
			$subject = $data['additionalinformation'];

			if (preg_match('/\\d{1,3}\\.\\d{1,3}\\.\\d{1,3}\\.\\d{1,3}/', $importedreport, $match)) {
				if (filter_var($match[0], FILTER_VALIDATE_IP)) {
					$possibleip = $match[0];
					$table = 'tblhosting';
					$fields = 'userid,domain,domainstatus,dedicatedip';
					$where = array('dedicatedip' => $possibleip, 'domainstatus' => 'Active');
					$sort = 'id';
					$sortorder = 'DESC';
					$result = select_query($table, $fields, $where, $sort, $sortorder);
					$data = mysql_fetch_array($result);
					$possibleuserid = $data['userid'];
					$possibledomain = $data['domain'];
					$table = 'tblclients';
					$fields = 'id,firstname,lastname';
					$where = array('id' => $possibleuserid);
					$result = select_query($table, $fields, $where, $sort, $sortorder);
					$data = mysql_fetch_array($result);
					$possibleuserfullname = $data['firstname'] . ' ' . $data['lastname'];

					if ($possibleuserid == '') {
						$possiblevaluesdisplay = "<b>Error:</b> Could not parse details from imported report <br>\r\n  <b>Category:</b> " . $category;
					}
					else {
						$possiblevaluesdisplay = "<table class='table'>\r\n  <thead>\r\n    <tr>\r\n      <th>Client</th>\r\n      <th>Service</th>\r\n      <th>IP</th>\r\n\t  <th>Category</th>\r\n    </tr>\r\n  </thead>\r\n  <tbody>\r\n    <tr>\r\n      <td>" . $possibleuserfullname . "</td>\r\n      <td>" . $possibledomain . "</td>\r\n      <td>" . $possibleip . "</td>\r\n\t  <td>" . $category . "</td>\r\n    </tr>\r\n  </tbody>\r\n</table>";
					}
				}
			}
			else {
				$possiblevaluesdisplay = "<b>Error:</b> Could not parse details from imported report <br>\r\n  <b>Category:</b> " . $category;
			}

			$reportid = $_POST['id'];
			$date = date($option4);
			echo '<h3>Add New Abuse Report</h3><hr>';
			echo "<div class='row'>\r\n<div class='col-md-6'>\r\n<form action='' method='POST'>\r\n<input type='hidden' name='addreportfromqueue' value='addreportfromqueue'>\r\n<input type='hidden' name='reportid' value='" . $reportid . "'>\r\n<div class='form-group'>\r\n          <label for='Client'>Client</label>\r\n          <select name='customer' id='select-beast' class='customer demo-default form-control'>\r\n            <option selected='selected' value=''>--Select Client--</option>";
			$table = 'tbladdonmodules';
			$fields = 'module,setting,value';
			$where = array('module' => 'abusemanagerpro', 'setting' => 'option8');
			$result = select_query($table, $fields, $where);
			$data = mysql_fetch_array($result);
			$timelimit = $data['value'];
			$table = 'tblclients';
			$fields = 'id,firstname,lastname,email,status,companyname';
			$where = array('status' => 'Active');
			$sort = 'id';
			$sortorder = 'DESC';
			$result = select_query($table, $fields, $where, $sort, $sortorder);
			$table = 'tbladdonmodules';
			$fields = 'module,setting,value';
			$where = array('module' => 'abusemanagerpro', 'setting' => 'option9');
			$resultx = select_query($table, $fields, $where);
			$datax = mysql_fetch_array($resultx);
			$abusecategories = $datax['value'];
			$abusecategories = explode(',', $abusecategories);

			foreach ($abusecategories as $categories) {
				$abusecategorieslist .= '<option>' . $categories . '</option>';
			}

			while ($data = mysql_fetch_array($result)) {
				$id = $data['id'];
				$name = $data['firstname'] . ' ' . $data['lastname'];
				echo '<option value=\'' . $id . '\'>' . $name . '</option>';
			}

			echo "</select>\r\n\r\n  </div>\r\n  <div class='form-group'>\r\n    <label for='Service'>Service</label>\r\n    <select name='customerproduct' class='customerproduct form-control'>\r\n<option selected='selected'>--Select Service--</option>\r\n</select>\r\n  </div>\r\n  <div class='form-group'>\r\n    <label for='IP'>IP</label>\r\n    <select name='customerip' class='customerip form-control'>\r\n<option selected='selected'>--Select IP--</option>\r\n</select>\r\n  </div>\r\n  <div class='form-group'>\r\n    <label for='Category'>Category</label>\r\n    <select name='category' class='form-control'>\r\n<option selected='selected' disabled>--Select Category--</option>\r\n" . $abusecategorieslist . "\r\n</select>\r\n  </div>\r\n  <div class='form-group'>\r\n  <label for='Additional Information'>Additional Information</label>\r\n  <textarea name='additionalinformation' class='form-control' rows='5'></textarea>\r\n  </div>\r\n  <div class='form-group'>\r\n    <label for='Incident Date'>Incident Date (Example format shown below)</label>\r\n    <input type='text' class='form-control' name='incidentdate' value='" . $date . "'>\r\n  </div>\r\n  <div class='radio'>\r\n  <label>\r\n  <input type='radio' name='suspendmethod' id='optionsRadios1' value='nosuspend' checked>\r\n  Do Not Suspend\r\n  </label>\r\n</div>\r\n<div class='radio'>\r\n  <label>\r\n    <input type='radio' name='suspendmethod' id='optionsRadios1' value='immediate' >\r\n  Suspend Immediately\r\n  </label>\r\n</div>\r\n<div class='radio'>\r\n  <label>\r\n    <input type='radio' name='suspendmethod' id='optionsRadios1' value='timelimit' >\r\n  Suspend on time limit (Currently set to suspend automatically after " . $timelimit . " minutes)\r\n  </label>\r\n</div>\r\n  <div class='checkbox'>\r\n    <label>\r\n      <input name='allowunsuspend' type='checkbox'> Allow Client Unsuspend\r\n    </label>\r\n  </div>\r\n  <button type='submit' class='btn btn-success'>Add Abuse Report</button>\r\n</form>\r\n</div>\r\n<div>\r\n<div class='col-md-6'>\r\n<div class='panel panel-default'>\r\n  <div class='panel-heading'>\r\n    <h3 class='panel-title'>Possible Details <small>(please verify the details below before assigning the report)</small></h3>\r\n  </div>\r\n  <div class='panel-body'>\r\n    " . $possiblevaluesdisplay . "\r\n  </div>\r\n</div>\r\n<div class='panel panel-default'>\r\n  <div class='panel-heading'>\r\n    <h3 class='panel-title'>Original Report Submitted by " . $reportsubmitteremail . " <small>(not shown to customer, will be saved as hidden admin notes)</small></h3>\r\n  </div>\r\n  \r\n  <div class='panel-body'>\r\n  <b>Subject:</b> " . $subject . "\r\n    <pre>\r\n" . $importedreport . "\r\n</pre>\r\n  </div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n";
		}
		else {
			$baseurl = 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'];
			$baseurlsummary = str_replace('addonmodules', 'clientssummary', $baseurl);
			$baseurlservices = str_replace('addonmodules', 'clientsservices', $baseurl);
			echo '<h3>Queued Abuse Reports</h3><hr>';
			echo '<div class="alert alert-info" role="alert"><b>Note:</b> The reports below have been either imported using the email pipe or submitted via the form on your website - after validating the legitimacy of the report, assign it to a customer.</div>';
			$table = 'mod_abusemanagerpro';
			$fields = 'reportid,customerid,customername,customerip,serviceid,servicename,servicehostname,reportmethod,incidentdate,status,importedreportsubmitteremail,additionalinformation';
			$where = array('status' => 'queued');
			$sort = 'reportid';
			$sortorder = 'DESC';
			$result = select_query($table, $fields, $where, $sort, $sortorder);
			echo "<div class=\"input-group\"> <span class=\"input-group-addon\">Filter</span>\r\n\r\n    <input id=\"filter\" type=\"text\" class=\"form-control\" placeholder=\"Type here...\">\r\n</div><br>";
			echo "<table class=\"datatable\" width=\"100%\">\r\n  <tr>\r\n    <th width=\"5%\">Report ID</th>\r\n    <th width=\"15%\">From</th>\r\n    <th width=\"30%\">Subject</th>\r\n  <th width=\"5%\">Status</th>\r\n  <th width=\"10%\">Date</th>\r\n  <th width=\"5%\">Submission Method</th>\r\n  <th width=\"20%\">Actions</th>\r\n  </tr><tbody class=\"searchable\">";

			while ($data = mysql_fetch_array($result)) {
				$reportid = $data['reportid'];
				$customerid = $data['customerid'];
				$customername = $data['customername'];
				$customerip = $data['customerip'];
				$serviceid = $data['serviceid'];
				$servicename = $data['servicename'];
				$servicehostname = $data['servicehostname'];
				$incidentdate = date($option4, $data['incidentdate']);
				$reportmethod = $data['reportmethod'];
				$status = $data['status'];
				$from = $data['importedreportsubmitteremail'];
				$subject = $data['additionalinformation'];

				if ($servicehostname == '') {
					$servicehostname = '(No Domain)';
				}

				echo '<tr><td>' . $reportid . '</td><td>' . $from . '</td><td>' . $subject . '</td><td><span class=\'label label-info\'>' . $status . '</span></td><td>' . $incidentdate . '</td><td>' . $reportmethod . '</td><td align=\'center\'><form action=\'\' method=\'POST\'><input type=\'hidden\' name=\'action\' value=\'que\'><button name=\'id\' value=\'' . $reportid . '\' class=\'btn btn-default btn-sm\'>View & Assign To Customer</button> <button name=\'deletereport\' value=\'' . $reportid . "' class='btn btn-danger btn-sm'>Delete Report</button></form>\r\n    </td></tr>";
			}

			echo '</tbody></table>';
		}
	}

	if ($_REQUEST['action'] == 'add') {
		$date = date($option4);
		echo '<h3>Add New Abuse Report</h3><hr>';
		echo "<div class='row'>\r\n<div class='col-md-6'>\r\n<form action='' method='POST'>\r\n<input type='hidden' name='addreport' value='addreport'>\r\n<div class='form-group'>\r\n          <label for='Client'>Client</label>\r\n          <select name='customer' id='select-beast' class='customer demo-default form-control'>\r\n            <option selected='selected' value=''>--Select Client--</option>";
		$table = 'tbladdonmodules';
		$fields = 'module,setting,value';
		$where = array('module' => 'abusemanagerpro', 'setting' => 'option8');
		$result = select_query($table, $fields, $where);
		$data = mysql_fetch_array($result);
		$timelimit = $data['value'];
		$table = 'tblclients';
		$fields = 'id,firstname,lastname,email,status,companyname';
		$where = array('status' => 'Active');
		$sort = 'id';
		$sortorder = 'DESC';
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$table = 'tbladdonmodules';
		$fields = 'module,setting,value';
		$where = array('module' => 'abusemanagerpro', 'setting' => 'option9');
		$resultx = select_query($table, $fields, $where);
		$datax = mysql_fetch_array($resultx);
		$abusecategories = $datax['value'];
		$abusecategories = explode(',', $abusecategories);

		foreach ($abusecategories as $categories) {
			$abusecategorieslist .= '<option>' . $categories . '</option>';
		}

		while ($data = mysql_fetch_array($result)) {
			$id = $data['id'];
			$name = $data['firstname'] . ' ' . $data['lastname'];
			echo '<option value=\'' . $id . '\'>' . $name . '</option>';
		}

		echo "</select>\r\n\r\n  </div>\r\n  <div class='form-group'>\r\n    <label for='Service'>Service</label>\r\n    <select name='customerproduct' class='customerproduct form-control'>\r\n<option selected='selected'>--Select Service--</option>\r\n</select>\r\n  </div>\r\n  <div class='form-group'>\r\n    <label for='IP'>IP</label>\r\n    <select name='customerip' class='customerip form-control'>\r\n<option selected='selected'>--Select IP--</option>\r\n</select>\r\n  </div>\r\n  <div class='form-group'>\r\n    <label for='Category'>Category</label>\r\n    <select name='category' class='form-control'>\r\n<option selected='selected' disabled>--Select Category--</option>\r\n" . $abusecategorieslist . "\r\n</select>\r\n  </div>\r\n  <div class='form-group'>\r\n  <label for='Additional Information'>Additional Information (shown to client)</label>\r\n  <textarea name='additionalinformation' class='form-control' rows='5'></textarea>\r\n  </div>\r\n  <div class='form-group'>\r\n  <label for='Admin Notes'>Admin Notes (hidden from client, useful to put important information or original report for reference)</label>\r\n  <textarea name='importedreportinformation' class='form-control' rows='5'></textarea>\r\n  </div>\r\n  <div class='form-group'>\r\n    <label for='Incident Date'>Incident Date (Example format shown below)</label>\r\n    <input type='text' class='form-control' name='incidentdate' value='" . $date . "'>\r\n  </div>\r\n  <div class='radio'>\r\n  <label>\r\n  <input type='radio' name='suspendmethod' id='optionsRadios1' value='nosuspend' checked>\r\n  Do Not Suspend\r\n  </label>\r\n</div>\r\n<div class='radio'>\r\n  <label>\r\n    <input type='radio' name='suspendmethod' id='optionsRadios1' value='immediate' >\r\n  Suspend Immediately\r\n  </label>\r\n</div>\r\n<div class='radio'>\r\n  <label>\r\n    <input type='radio' name='suspendmethod' id='optionsRadios1' value='timelimit' >\r\n  Suspend on time limit (Currently set to suspend automatically after " . $timelimit . " minutes)\r\n  </label>\r\n</div>\r\n  <div class='checkbox'>\r\n    <label>\r\n      <input name='allowunsuspend' type='checkbox'> Allow Client Unsuspend\r\n    </label>\r\n  </div>\r\n  <button type='submit' class='btn btn-success'>Add Abuse Report</button>\r\n</form>\r\n</div>\r\n</div>";
	}

	if ($_POST['addreportfromqueue'] != '') {
		$table = 'tblclients';
		$fields = 'id,firstname,lastname,email,status,companyname';
		$where = array('id' => $_POST['customer']);
		$result = select_query($table, $fields, $where);
		$data = mysql_fetch_array($result);
		$name = $data['firstname'] . ' ' . $data['lastname'];
		$table = 'tblhosting';
		$fields = 'id,packageid,domain';
		$where = array('id' => $_POST['customerproduct']);
		$sort = 'id';
		$sortorder = 'DESC';
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$datax = mysql_fetch_array($result);
		$packageid = $datax['packageid'];
		$servicehostname = $datax['domain'];
		$table = 'tblproducts';
		$fields = 'id,name';
		$where = array('id' => $packageid);
		$result = select_query($table, $fields, $where);
		$datay = mysql_fetch_array($result);
		$servicename = $datay['name'];
		$customerid = $_POST['customer'];
		$customername = $name;
		$serviceid = $_POST['customerproduct'];
		$customerip = $_POST['customerip'];
		$category = $_POST['category'];
		$additionalinformation = $_POST['additionalinformation'];
		$obj_date = DateTime::createFromFormat($option4, $_POST['incidentdate']);
		$incidentdate = $obj_date->getTimestamp();
		$suspendmethod = $_POST['suspendmethod'];
		$allowunsuspend = $_POST['allowunsuspend'];
		$additionalinformationformatted = nl2br(htmlentities($additionalinformation, ENT_QUOTES, 'UTF-8'));
		$table = 'mod_abusemanagerpro';
		$update = array('customerid' => $customerid, 'customername' => $customername, 'customerip' => $customerip, 'serviceid' => $serviceid, 'servicename' => $servicename, 'servicehostname' => $servicehostname, 'category' => $category, 'additionalinformation' => $additionalinformationformatted, 'incidentdate' => $incidentdate, 'status' => 'open', 'allowunsuspend' => $allowunsuspend, 'suspendmethod' => $suspendmethod);
		$where = array('reportid' => $_POST['reportid']);
		update_query($table, $update, $where);
		$table = 'tbladmins';
		$fields = 'id,username';
		$where = array('id' => $_SESSION['adminid']);
		$result = select_query($table, $fields, $where);
		$data = mysql_fetch_array($result);
		$adminusername = $data['username'];
		$incidentdate = date($option4, $incidentdate);

		if ($suspendmethod == 'immediate') {
			$commandx = 'modulesuspend';
			$adminuserx = $adminusername;
			$valuesx['accountid'] = $serviceid;
			$valuesx['suspendreason'] = 'You have an open abuse report, please visit the abuse center and resolve it as soon as possible.';
			$resultsx = localAPI($commandx, $valuesx, $adminuserx);
		}

		$command = 'sendemail';
		$adminuser = $adminusername;
		$values['messagename'] = 'amp new abuse';
		$values['customvars'] = array('awp_status' => 'open', 'awp_incidentdate' => $incidentdate, 'awp_service' => $servicename . ' - ' . $servicehostname, 'awp_ip' => $customerip, 'awp_category' => $category);
		$values['id'] = $customerid;
		$results = localAPI($command, $values, $adminuser);
		header('Location: ?module=abusemanagerpro&action=open');
		exit();
	}

	if ($_POST['addreport'] != '') {
		$table = 'tblclients';
		$fields = 'id,firstname,lastname,email,status,companyname';
		$where = array('id' => $_POST['customer']);
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$name = $data['firstname'] . ' ' . $data['lastname'];
		$table = 'tblhosting';
		$fields = 'id,packageid,domain';
		$where = array('id' => $_POST['customerproduct']);
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$packageid = $data['packageid'];
		$servicehostname = $data['domain'];
		$table = 'tblproducts';
		$fields = 'id,name';
		$where = array('id' => $packageid);
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$servicename = $data['name'];
		$customerid = $_POST['customer'];
		$customername = $name;
		$serviceid = $_POST['customerproduct'];
		$customerip = $_POST['customerip'];
		$category = $_POST['category'];
		$additionalinformation = $_POST['additionalinformation'];
		$obj_date = DateTime::createFromFormat($option4, $_POST['incidentdate']);
		$incidentdate = $obj_date->getTimestamp();
		$suspendmethod = $_POST['suspendmethod'];
		$allowunsuspend = $_POST['allowunsuspend'];
		$importedreportinformation = $_POST['importedreportinformation'];
		$additionalinformationformatted = nl2br(htmlentities($additionalinformation, ENT_QUOTES, 'UTF-8'));
		$table = 'mod_abusemanagerpro';
		$values = array('customerid' => $customerid, 'customername' => $customername, 'customerip' => $customerip, 'serviceid' => $serviceid, 'servicename' => $servicename, 'servicehostname' => $servicehostname, 'category' => $category, 'additionalinformation' => $additionalinformationformatted, 'incidentdate' => $incidentdate, 'reportmethod' => 'manual', 'status' => 'open', 'allowunsuspend' => $allowunsuspend, 'suspendmethod' => $suspendmethod, 'importedreportinformation' => $importedreportinformation);
		$addnew = insert_query($table, $values);
		$table = 'tbladmins';
		$fields = 'id,username';
		$where = array('id' => $_SESSION['adminid']);
		$result = select_query($table, $fields, $where);
		$data = mysql_fetch_array($result);
		$adminusername = $data['username'];
		$incidentdate = date($option4, $incidentdate);

		if ($suspendmethod == 'immediate') {
			$commandx = 'modulesuspend';
			$adminuserx = $adminusername;
			$valuesx['accountid'] = $serviceid;
			$valuesx['suspendreason'] = 'You have an open abuse report, please visit the abuse center and resolve it as soon as possible.';
			$resultsx = localAPI($commandx, $valuesx, $adminuserx);
		}

		$command = 'sendemail';
		$adminuser = $adminusername;
		$values['messagename'] = 'amp new abuse';
		$values['customvars'] = array('awp_status' => 'open', 'awp_incidentdate' => $incidentdate, 'awp_service' => $servicename . ' - ' . $servicehostname, 'awp_ip' => $customerip, 'awp_category' => $category, 'awp_suspendmethod' => $suspendmethod);
		$values['id'] = $customerid;
		$results = localAPI($command, $values, $adminuser);
		header('Location: ?module=abusemanagerpro&action=open');
		exit();
	}

	if ($_GET['action'] == 'templates') {
		$baseurl = 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'];
		$baseurlemailedit = str_replace('addonmodules', 'configemailtemplates', $baseurl);
		$table = 'tblemailtemplates';
		$fields = 'id,name,message,subject';
		$where = array('name' => 'amp new abuse');
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$ampnewabuseid = $data['id'];
		$ampnewabusesubject = $data['subject'];
		$ampnewabusemessage = nl2br(htmlspecialchars_decode($data['message']));
		$table = 'tblemailtemplates';
		$fields = 'id,name,message,subject';
		$where = array('name' => 'amp close abuse');
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$ampcloseabuseid = $data['id'];
		$ampcloseabusesubject = $data['subject'];
		$ampcloseabusemessage = nl2br(htmlspecialchars_decode($data['message']));
		$table = 'tblemailtemplates';
		$fields = 'id,name,message,subject';
		$where = array('name' => 'amp new reply');
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$ampnewreplyid = $data['id'];
		$ampnewreplysubject = $data['subject'];
		$ampnewreplymessage = nl2br(htmlspecialchars_decode($data['message']));
		$table = 'tblemailtemplates';
		$fields = 'id,name,message,subject';
		$where = array('name' => 'ampadmin new reply');
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$ampadminnewreplyid = $data['id'];
		$ampadminnewreplysubject = $data['subject'];
		$ampadminnewreplymessage = nl2br(htmlspecialchars_decode($data['message']));
		$table = 'tblemailtemplates';
		$fields = 'id,name,message,subject';
		$where = array('name' => 'ampadmin new queue');
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$ampadminnewqueueid = $data['id'];
		$ampadminnewqueuesubject = $data['subject'];
		$ampadminnewqueuemessage = nl2br(htmlspecialchars_decode($data['message']));
		echo '<h3>Modify Email Templates</h3><hr>';
		echo "<div class='row'>\r\n<div class='col-md-6'>\r\n\r\n<div class='panel panel-default'>\r\n  <div class='panel-heading'><h3 class='panel-title'>New Abuse Report <span class='label label-info'>Customer</span></h3><br>Sent when a new abuse report is created for a customer</div>\r\n  <div class='panel-body'>\r\n  <b>Subject:</b> " . $ampnewabusesubject . "<br><br>\r\n    " . $ampnewabusemessage . "\r\n  </div>\r\n  <div class='panel-footer'>Available Merge Fields (in addition to default WHMCS merge fields):<br>{\$awp_status} - shows the status of the abuse report<br>{\$awp_incidentdate} - shows the abuse report creation date<br>{\$awp_service} - shows the product and hostname of service<br>{\$awp_ip} - shows the ip of service<br>{\$awp_category} - shows the category of the abuse report<br>{\$awp_suspendmethod} - shows the suspend method (nosuspend, immediate, timelimit)<br><br><a href='" . $baseurlemailedit . '?action=edit&id=' . $ampnewabuseid . "' class='btn btn-default'>Edit Template</a></div>\r\n</div>\r\n\r\n<br>\r\n\r\n<div class='panel panel-default'>\r\n  <div class='panel-heading'><h3 class='panel-title'>Close Abuse Report <span class='label label-info'>Customer</span></h3><br>Sent when an abuse report is closed for a customer</div>\r\n  <div class='panel-body'>\r\n  <b>Subject:</b> " . $ampcloseabusesubject . "<br><br>\r\n    " . $ampcloseabusemessage . "\r\n  </div>\r\n  <div class='panel-footer'>Available Merge Fields (in addition to default WHMCS merge fields):<br>{\$awp_reportid} - shows the ID of the abuse report<br>{\$awp_status} - shows the status of the abuse report<br>{\$awp_incidentdate} - shows the abuse report creation date<br>{\$awp_service} - shows the product and hostname of service<br>{\$awp_ip} - shows the ip of service<br>{\$awp_category} - shows the category of the abuse report<br><br><a href='" . $baseurlemailedit . '?action=edit&id=' . $ampcloseabuseid . "' class='btn btn-default'>Edit Template</a></div>\r\n</div>\r\n\r\n<br>\r\n\r\n<div class='panel panel-default'>\r\n  <div class='panel-heading'><h3 class='panel-title'>Abuse Report Reply <span class='label label-info'>Customer</span></h3><br>Sent to customer when an abuse report gets a reply by staff</div>\r\n  <div class='panel-body'>\r\n  <b>Subject:</b> " . $ampnewreplysubject . "<br><br>\r\n    " . $ampnewreplymessage . "\r\n  </div>\r\n  <div class='panel-footer'>Available Merge Fields (in addition to default WHMCS merge fields):<br>{\$awp_reportid} - shows the ID of the abuse report<br>{\$awp_status} - shows the status of the abuse report<br>{\$awp_replytimestamp} - shows the reply timestamp formatted<br>{\$awp_staffname} - shows the name of the staff member who replied<br>{\$awp_replymessage} - shows the content of the reply made by the staff member<br><br><a href='" . $baseurlemailedit . '?action=edit&id=' . $ampnewreplyid . "' class='btn btn-default'>Edit Template</a></div>\r\n</div>\r\n\r\n<br>\r\n\r\n<div class='panel panel-default'>\r\n  <div class='panel-heading'><h3 class='panel-title'>Abuse Report Reply <span class='label label-danger'>Staff</span></h3><br>Sent to staff when an abuse report gets a reply by customer</div>\r\n  <div class='panel-body'>\r\n  <b>Subject:</b> " . $ampadminnewreplysubject . "<br><br>\r\n    " . $ampadminnewreplymessage . "\r\n  </div>\r\n  <div class='panel-footer'>Available Merge Fields (in addition to default WHMCS merge fields):<br>{\$awp_reportid} - shows the ID of the abuse report<br>{\$awp_status} - shows the status of the abuse report<br>{\$awp_replytimestamp} - shows the reply timestamp formatted<br>{\$awp_customername} - shows the name of the customer who replied<br>{\$awp_replymessage} - shows the content of the reply made by the staff member<br>{\$awp_service} - shows the product and hostname that relates to the report<br>{\$awp_ip} - shows the dedicated IP of the service that relates to the report<br>{\$awp_category} - shows the category of the abuse report<br><br><a href='" . $baseurlemailedit . '?action=edit&id=' . $ampadminnewreplyid . "' class='btn btn-default'>Edit Template</a></div>\r\n</div>\r\n\r\n<br>\r\n\r\n<div class='panel panel-default'>\r\n  <div class='panel-heading'><h3 class='panel-title'>Abuse Report Queued <span class='label label-danger'>Staff</span></h3><br>Sent to staff when an abuse report is submitted via mail pipe or public page</div>\r\n  <div class='panel-body'>\r\n  <b>Subject:</b> " . $ampadminnewqueuesubject . "<br><br>\r\n    " . $ampadminnewqueuemessage . "\r\n  </div>\r\n  <div class='panel-footer'>Available Merge Fields (in addition to default WHMCS merge fields):<br>{\$awp_status} - shows the status of the abuse report<br>{\$awp_incidentdate} - shows the incident date<br>{\$awp_reportsubmitteremail} - shows the email of the submitter<br>{\$awp_report} - shows the content of the submitted abuse report<br>{\$awp_reportmethod} - shows the reporting method, either pipe or public form<br>{\$awp_category} - shows the category of the abuse report<br><br><a href='" . $baseurlemailedit . '?action=edit&id=' . $ampadminnewqueueid . "' class='btn btn-default'>Edit Template</a></div>\r\n</div>\r\n\r\n</div>\r\n</div>";
	}

	if ($_GET['action'] == '') {
		$baseurl = 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'];
		$baseurlsummary = str_replace('addonmodules', 'clientssummary', $baseurl);
		$result = mysql_query("SELECT * \r\nFROM  `mod_abusemanagerpro` \r\nWHERE  `status` =  'open'");
		$open_rows = mysql_num_rows($result);
		$result = mysql_query("SELECT * \r\nFROM  `mod_abusemanagerpro` \r\nWHERE  `status` =  'closed'");
		$closed_rows = mysql_num_rows($result);
		$result = mysql_query("SELECT * \r\nFROM  `mod_abusemanagerpro` \r\nWHERE  `status` =  'queued'");
		$queued_rows = mysql_num_rows($result);
		$table = 'mod_abusemanagerpro';
		$fields = 'reportid,customerid,category,incidentdate,status,lastreplyby';
		$where = array('lastreplyby' => 'customer', 'status' => 'open');
		$sort = 'incidentdate';
		$sortorder = 'ASC';
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$flaggedclients = mysql_query("SELECT customername,customerid,COUNT(*)  \r\nFROM `mod_abusemanagerpro`\r\nWHERE  `status` =  'open'  \r\nGROUP BY customerid");

		if (file_exists('../modules/addons/abusemanagerpro/includes/pipe.php')) {
			echo '<span class=\'pull-right label label-danger\'>/modules/addons/abusemanagerpro/includes/pipe.php exists and needs to be deleted!<br>The pipe method has been deprecated and now emails are fetched using php_imap.</span>';
		}

		echo '<h3>Abuse Overview</h3><hr>';
		echo "<div class='row'>\r\n<div class='col-md-3'>\r\n<div class='media'>\r\n  <div class='media-left'>\r\n    <a href='?module=abusemanagerpro&action=open'>\r\n      <img class='media-object' src='../modules/addons/abusemanagerpro/includes/img/minusicon.png' height='50px' alt='...'>\r\n    </a>\r\n  </div>\r\n  <div class='media-body'>\r\n    <h4 class='media-heading'>Open Abuse Reports</h4>\r\n    " . $open_rows . "\r\n  </div>\r\n</div>\r\n<div class='media'>\r\n  <div class='media-left'>\r\n    <a href='?module=abusemanagerpro&action=que'>\r\n      <img class='media-object' src='../modules/addons/abusemanagerpro/includes/img/priorityicon.png' height='50px' alt='...'>\r\n    </a>\r\n  </div>\r\n  <div class='media-body'>\r\n    <h4 class='media-heading'>Queued Abuse Reports</h4>\r\n    " . $queued_rows . "\r\n  </div>\r\n</div>\r\n<div class='media'>\r\n  <div class='media-left'>\r\n    <a href='?module=abusemanagerpro&action=closed'>\r\n      <img class='media-object' src='../modules/addons/abusemanagerpro/includes/img/checkedicon.png' height='50px' alt='...'>\r\n    </a>\r\n  </div>\r\n  <div class='media-body'>\r\n    <h4 class='media-heading'>Closed Abuse Reports</h4>\r\n    " . $closed_rows . "\r\n  </div>\r\n</div>\r\n</div>\r\n<div class='col-md-5'>\r\n<div class='media'>\r\n  <div class='media-left'>\r\n      <img class='media-object' src='../modules/addons/abusemanagerpro/includes/img/hinticon.png' height='50px' alt='...'>\r\n  </div>\r\n  <div class='media-body'>\r\n    <h4 class='media-heading'>Reports Requiring Your Action</h4>\r\n    The following reports require your action as the client has replied:\r\n  ";
		$clientreportscounter = 0;

		while ($clientreports = mysql_fetch_array($result)) {
			$reportid = $clientreports['reportid'];
			$clientreports['incidentdate'] = date($option4, $clientreports['incidentdate']);
			echo '<a href=\'?module=abusemanagerpro&action=open&id=' . $reportid . '\'><li>Report ID: ' . $clientreports['reportid'] . ' in regards to a  ' . $clientreports['category'] . ' complaint on ' . $clientreports['incidentdate'] . '</li></a>';
			++$clientreportscounter;
		}

		if ($clientreportscounter == 0) {
			echo '<br>No reports requiring your action.';
		}

		echo "</div>\r\n</div>\r\n</div>\r\n<div class='col-md-4'>\r\n<div class='media'>\r\n  <div class='media-left'>\r\n      <img class='media-object' src='../modules/addons/abusemanagerpro/includes/img/erroricon.png' height='50px' alt='...'>\r\n  </div>\r\n  <div class='media-body'>\r\n    <h4 class='media-heading'>Flagged Clients</h4>\r\n    Those with greater than or equal to the specified maximum amount of open abuse reports (" . $option5 . ') per client are flagged below:';
		$table = 'tbladdonmodules';
		$fields = 'module,setting,value';
		$where = array('module' => 'abusemanagerpro', 'setting' => 'option5');
		$result = select_query($table, $fields, $where);
		$data = mysql_fetch_array($result);
		$maxopenabusereports = $data['value'];
		$maxopenabusereportscounter = 0;

		while ($row = mysql_fetch_array($flaggedclients)) {
			$customercount = $row['COUNT(*)'];
			$customerid = $row['customerid'];

			if ($maxopenabusereports <= $customercount) {
				echo '<a href=\'' . $baseurlsummary . '?userid=' . $customerid . '\' target=\'_blank\'><li>' . $row['customername'] . ' has ' . $row['COUNT(*)'] . ' open reports</li></a>';
				++$maxopenabusereportscounter;
			}
		}

		if ($maxopenabusereportscounter == 0) {
			echo '<br>No flagged clients.';
		}

		echo "</div>\r\n</div>\r\n</div>\r\n</div>";
	}
}

function abusemanagerpro_clientarea($vars)
{
	$modulelink = $vars['modulelink'];
	$version = $vars['version'];
	$option1 = $vars['option1'];
	$option2 = $vars['option2'];
	$option3 = $vars['option3'];
	$option4 = $vars['option4'];
	$option5 = $vars['option5'];
	$option6 = $vars['option6'];
	$option7 = $vars['option7'];
	$option8 = $vars['option8'];
	$option9 = $vars['option9'];
	$LANG = $vars['_lang'];
	$clientremoteip = $_SERVER['REMOTE_ADDR'];
	$licensekey = $option1;
	$table = 'mod_abusemanagerpro_config';
	$fields = 'setting,value';
	$where = array('setting' => 'locallicense');
	$result = select_query($table, $fields, $where);
	$data = mysql_fetch_array($result);
	$localkey = $data['value'];
	$results = check_license_awp($licensekey, $localkey);

	if ($results['status'] == 'Active') {
		if ($results['localkey']) {
			$localkeydata = $results['localkey'];
			$table = 'mod_abusemanagerpro_config';
			$update = array('value' => $localkeydata);
			$where = array('setting' => 'locallicense');
			update_query($table, $update, $where);
		}
	}

	if ($results['status'] != 'Active') {
		exit('License is not active, or is invalid.');
	}

	if ($_POST['page'] == 'detail' && $_POST['reportid'] != '') {
		$reportid = $_POST['reportid'];
		$table = 'mod_abusemanagerpro';
		$fields = 'reportid,customerid';
		$where = array('reportid' => $reportid);
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$customerid = $data['customerid'];

		if ($customerid != $_SESSION['uid']) {
			header('Location: index.php?m=abusemanagerpro&error=notauthorized');
			exit();
		}

		$page = 'detail';
		$table = 'mod_abusemanagerpro';
		$fields = 'reportid,customerid,customername,customerip,serviceid,servicename,additionalinformation,servicehostname,category,incidentdate,status,allowunsuspend';
		$where = array('reportid' => $reportid);
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$reportid = $data['reportid'];
		$customerid = $data['customerid'];
		$customername = $data['customername'];
		$customerip = $data['customerip'];
		$serviceid = $data['serviceid'];
		$servicename = $data['servicename'];
		$servicehostname = $data['servicehostname'];
		$category = $data['category'];
		$incidentdate = date($option4, $data['incidentdate']);
		$status = $data['status'];
		$additionalinformation = $data['additionalinformation'];
		$allowunsuspend = $data['allowunsuspend'];
		$table = 'mod_abusemanagerpro_conversation';
		$fields = 'replyid,reportid,timestamp,submitter,submitterrole,submitteremail,message';
		$where = array('reportid' => $reportid);
		$sort = 'replyid';
		$sortorder = 'ASC';
		$result = select_query($table, $fields, $where, $sort, $sortorder);

		while ($data = mysql_fetch_array($result)) {
			$arr = array();
			$arr['timestamp'] = date($option4, $data['timestamp']);
			$arr['submitter'] = $data['submitter'];
			$arr['submitterrole'] = $data['submitterrole'];
			$arr['submitteremail'] = md5(strtolower(trim($data['submitteremail'])));
			$arr['message'] = $data['message'];
			$clientconversationarray[] = $arr;
		}
	}

	if ($_POST['publicform'] != '') {
		$table = 'tbladdonmodules';
		$fields = 'module,setting,value';
		$where = array('module' => 'abusemanagerpro', 'setting' => 'option7');
		$result = select_query($table, $fields, $where);
		$data = mysql_fetch_array($result);
		$recaptchasecret = $data['value'];
		$url = 'https://www.google.com/recaptcha/api/siteverify?' . http_build_query(array('secret' => $recaptchasecret, 'response' => $_POST['g-recaptcha-response']));
		$ch = curl_init($url);
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		$jsonrecaptcha = curl_exec($ch);
		curl_close($ch);
		$obj = json_decode($jsonrecaptcha, true);

		if ($obj['success'] == 1) {
			$email = $_POST['email'];
			$category = $_POST['category'];
			$obj_date = DateTime::createFromFormat($option4, $_POST['incidentdate']);
			$incidentdate = $obj_date->getTimestamp();
			$abusereportmessage = $_POST['abusereport'];

			if ($category == '') {
				$category = 'Not Selected';
			}

			$email = filter_var($email, FILTER_SANITIZE_EMAIL);
			$category = filter_var($category, FILTER_SANITIZE_STRING);
			$incidentdate = preg_replace('/[^a-zA-Z0-9\\-\\ :]/si', '', $incidentdate);
			$incidentdate = strtotime($incidentdate);
			$abusereportmessage = filter_var($abusereportmessage, FILTER_SANITIZE_STRING);
			$email = mysql_real_escape_string($email);
			$category = mysql_real_escape_string($category);
			$incidentdate = mysql_real_escape_string($incidentdate);
			$abusereportmessage = mysql_real_escape_string($abusereportmessage);
			$table = 'mod_abusemanagerpro';
			$values = array('incidentdate' => $incidentdate, 'importedreportsubmitteremail' => $email, 'reportmethod' => 'public form', 'category' => $category, 'importedreportinformation' => $abusereportmessage, 'status' => 'queued');
			$addnew = insert_query($table, $values);
			$table = 'tbladmins';
			$fields = 'id,username';
			$where = array('id' => $_SESSION['adminid']);
			$result = select_query($table, $fields, $where);
			$data = mysql_fetch_array($result);
			$adminusername = $data['username'];
			$command = 'sendadminemail';
			$adminuser = $adminusername;
			$values['messagename'] = 'ampadmin new queue';
			$values['mergefields'] = array('awp_status' => 'queued', 'awp_reportsubmitteremail' => $email, 'awp_report' => $abusereportmessage, 'awp_reportmethod' => 'public form', 'awp_category' => $category, 'awp_incidentdate' => $incidentdate);
			$results = localAPI($command, $values, $adminuser);
			header('Location: index.php?m=abusemanagerpro&msg=success');
			exit();
		}
		else {
			header('Location: index.php?m=abusemanagerpro&msg=submissionerror');
			exit();
		}
	}

	if ($_POST['unsuspend'] != '') {
		$reportid = $_POST['reportid'];
		$table = 'mod_abusemanagerpro';
		$fields = 'reportid,customerid';
		$where = array('reportid' => $reportid);
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$customerid = $data['customerid'];

		if ($customerid != $_SESSION['uid']) {
			header('Location: index.php?m=abusemanagerpro&error=notauthorized');
			exit();
		}

		$page = 'detail';
		$susaction = 'unsuspended';
		$table = 'tblclients';
		$fields = 'firstname,lastname,email';
		$where = array('id' => $_SESSION['uid']);
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$reportid = $_POST['reportid'];
		$addreplymessage = $_POST['addreplymessage'];
		$timestamp = strtotime('now');
		$submitter = $data['firstname'] . ' ' . $data['lastname'];
		$submitteremail = $data['email'];
		$table = 'mod_abusemanagerpro';
		$fields = 'reportid,customerid,customername,customerip,serviceid,servicename,additionalinformation,servicehostname,category,incidentdate,status,allowunsuspend';
		$where = array('reportid' => $reportid);
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$reportid = $data['reportid'];
		$customerid = $data['customerid'];
		$customername = $data['customername'];
		$customerip = $data['customerip'];
		$serviceid = $data['serviceid'];
		$servicename = $data['servicename'];
		$servicehostname = $data['servicehostname'];
		$category = $data['category'];
		$incidentdate = date($option4, $data['incidentdate']);
		$status = $data['status'];
		$additionalinformation = $data['additionalinformation'];
		$allowunsuspend = $data['allowunsuspend'];
		$table = 'tbladmins';
		$fields = 'id,username';
		$where = array('id' => $_SESSION['adminid']);
		$result = select_query($table, $fields, $where);
		$data = mysql_fetch_array($result);
		$adminusername = $data['username'];
		$command = 'moduleunsuspend';
		$adminuser = $adminusername;
		$values['accountid'] = $serviceid;
		$results = localAPI($command, $values, $adminuser);
		$timestamp = 'on' . strtotime('now');
		$table = 'mod_abusemanagerpro';
		$update = array('allowunsuspend' => $timestamp);
		$where = array('reportid' => $_POST['reportid']);
		update_query($table, $update, $where);
		$table = 'mod_abusemanagerpro_conversation';
		$fields = 'replyid,reportid,timestamp,submitter,submitterrole,submitteremail,message';
		$where = array('reportid' => $reportid);
		$sort = 'replyid';
		$sortorder = 'ASC';
		$result = select_query($table, $fields, $where, $sort, $sortorder);

		while ($data = mysql_fetch_array($result)) {
			$arr = array();
			$arr['timestamp'] = date($option4, $data['timestamp']);
			$arr['submitter'] = $data['submitter'];
			$arr['submitterrole'] = $data['submitterrole'];
			$arr['submitteremail'] = md5(strtolower(trim($data['submitteremail'])));
			$arr['message'] = $data['message'];
			$clientconversationarray[] = $arr;
		}
	}
	
	
	if ($_POST['resloved'] != '') {
		$reportid = $_POST['reportid'];
		$table = 'mod_abusemanagerpro';
		$fields = 'reportid,customerid';
		$where = array('reportid' => $reportid);
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$customerid = $data['customerid'];

		if ($customerid != $_SESSION['uid']) {
			header('Location: index.php?m=abusemanagerpro&error=notauthorized');
			exit();
		}

		$page = 'detail';
		$susaction = 'resloved';
		/*$table = 'tblclients';
		$fields = 'firstname,lastname,email';
		$where = array('id' => $_SESSION['uid']);
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$reportid = $_POST['reportid'];
		$addreplymessage = $_POST['addreplymessage'];
		$timestamp = strtotime('now');
		$submitter = $data['firstname'] . ' ' . $data['lastname'];
		$submitteremail = $data['email'];*/
		$table = 'mod_abusemanagerpro';
		$fields = 'reportid,customerid,customername,customerip,serviceid,servicename,additionalinformation,servicehostname,category,incidentdate,status,allowunsuspend';
		$where = array('reportid' => $reportid);
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$reportid = $data['reportid'];
		$customerid = $data['customerid'];
		$customername = $data['customername'];
		$customerip = $data['customerip'];
		$serviceid = $data['serviceid'];
		$servicename = $data['servicename'];
		$servicehostname = $data['servicehostname'];
		$category = $data['category'];
		$incidentdate = date($option4, $data['incidentdate']);
		$status = $data['status'];
		$additionalinformation = $data['additionalinformation'];
		$allowunsuspend = $data['allowunsuspend'];
		/*$table = 'tbladmins';
		$fields = 'id,username';
		$where = array('id' => $_SESSION['adminid']);
		$result = select_query($table, $fields, $where);
		$data = mysql_fetch_array($result);
		$adminusername = $data['username'];
		$command = 'moduleunsuspend';
		$adminuser = $adminusername;
		$values['accountid'] = $serviceid;
		$results = localAPI($command, $values, $adminuser);*/
		$timestamp = 'on' . strtotime('now');
		$table = 'mod_abusemanagerpro';
		$update = array('status' => 'closed by customer');
		$where = array('reportid' => $_POST['reportid']);
		update_query($table, $update, $where);
		$table = 'mod_abusemanagerpro_conversation';
		$fields = 'replyid,reportid,timestamp,submitter,submitterrole,submitteremail,message';
		$where = array('reportid' => $reportid);
		$sort = 'replyid';
		$sortorder = 'ASC';
		$result = select_query($table, $fields, $where, $sort, $sortorder);

		while ($data = mysql_fetch_array($result)) {
			$arr = array();
			$arr['timestamp'] = date($option4, $data['timestamp']);
			$arr['submitter'] = $data['submitter'];
			$arr['submitterrole'] = $data['submitterrole'];
			$arr['submitteremail'] = md5(strtolower(trim($data['submitteremail'])));
			$arr['message'] = $data['message'];
			$clientconversationarray[] = $arr;
		}
	}
	if ($_POST['addreply'] != '') {
		$reportid = $_POST['reportid'];
		$table = 'mod_abusemanagerpro';
		$fields = 'reportid,customerid';
		$where = array('reportid' => $reportid);
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$customerid = $data['customerid'];

		if ($customerid != $_SESSION['uid']) {
			header('Location: index.php?m=abusemanagerpro&error=notauthorized');
			exit();
		}

		$page = 'detail';
		$table = 'tblclients';
		$fields = 'firstname,lastname,email';
		$where = array('id' => $_SESSION['uid']);
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$reportid = $_POST['reportid'];
		$addreplymessage = $_POST['addreplymessage'];
		$timestamp = strtotime('now');
		$submitter = $data['firstname'] . ' ' . $data['lastname'];
		$submitteremail = $data['email'];
		$table = 'mod_abusemanagerpro_conversation';
		$values = array('reportid' => $reportid, 'timestamp' => $timestamp, 'submitter' => $submitter, 'submitterrole' => 'customer', 'submitteremail' => $submitteremail, 'message' => $addreplymessage);
		$addnew = insert_query($table, $values);
		$table = 'mod_abusemanagerpro';
		$update = array('lastreplyby' => 'customer');
		$where = array('reportid' => $_POST['reportid']);
		update_query($table, $update, $where);
		$table = 'mod_abusemanagerpro';
		$fields = 'reportid,customerid,customername,customerip,serviceid,servicename,additionalinformation,servicehostname,category,incidentdate,status,allowunsuspend';
		$where = array('reportid' => $reportid);
		$result = select_query($table, $fields, $where, $sort, $sortorder);
		$data = mysql_fetch_array($result);
		$reportid = $data['reportid'];
		$customerid = $data['customerid'];
		$customername = $data['customername'];
		$customerip = $data['customerip'];
		$serviceid = $data['serviceid'];
		$servicename = $data['servicename'];
		$servicehostname = $data['servicehostname'];
		$category = $data['category'];
		$incidentdate = date($option4, $data['incidentdate']);
		$status = $data['status'];
		$additionalinformation = $data['additionalinformation'];
		$allowunsuspend = $data['allowunsuspend'];
		$table = 'tbladmins';
		$fields = 'id,username';
		$where = array('id' => $_SESSION['adminid']);
		$result = select_query($table, $fields, $where);
		$data = mysql_fetch_array($result);
		$adminusername = $data['username'];
		$command = 'sendadminemail';
		$adminuser = $adminusername;
		$values['messagename'] = 'ampadmin new reply';
		$values['mergefields'] = array('awp_reportid' => $reportid, 'awp_status' => 'open', 'awp_replytimestamp' => $incidentdate, 'awp_replymessage' => $addreplymessage, 'awp_customername' => $submitter, 'awp_service' => $servicename . ' - ' . $servicehostname, 'awp_ip' => $customerip, 'awp_category' => $category);
		$results = localAPI($command, $values, $adminuser);
		$table = 'mod_abusemanagerpro_conversation';
		$fields = 'replyid,reportid,timestamp,submitter,submitterrole,submitteremail,message';
		$where = array('reportid' => $reportid);
		$sort = 'replyid';
		$sortorder = 'ASC';
		$result = select_query($table, $fields, $where, $sort, $sortorder);

		while ($data = mysql_fetch_array($result)) {
			$arr = array();
			$arr['timestamp'] = date($option4, $data['timestamp']);
			$arr['submitter'] = $data['submitter'];
			$arr['submitterrole'] = $data['submitterrole'];
			$arr['submitteremail'] = md5(strtolower(trim($data['submitteremail'])));
			$arr['message'] = $data['message'];
			$clientconversationarray[] = $arr;
		}
	}

	$table = 'mod_abusemanagerpro';
	$fields = 'reportid,customerid,category,incidentdate,status';
	$where = array('customerid' => $_SESSION['uid']);
	$sort = 'status';
	$sortorder = 'DESC';
	$result = select_query($table, $fields, $where, $sort, $sortorder);

	while ($clientreports = mysql_fetch_array($result)) {
		$arr = array();
		$arr['reportid'] = $clientreports['reportid'];
		$arr['customerid'] = $clientreports['customerid'];
		$arr['category'] = $clientreports['category'];
		$arr['incidentdate'] = date($option4, $clientreports['incidentdate']);
		$arr['status'] = $clientreports['status'];
		$clientreportsarray[] = $arr;
	}

	$table = 'tbladdonmodules';
	$fields = 'module,setting,value';
	$where = array('module' => 'abusemanagerpro', 'setting' => 'option3');
	$result = select_query($table, $fields, $where);
	$data = mysql_fetch_array($result);
	$enablepublicpage = $data['value'];
	$table = 'tbladdonmodules';
	$fields = 'module,setting,value';
	$where = array('module' => 'abusemanagerpro', 'setting' => 'option6');
	$result = select_query($table, $fields, $where);
	$data = mysql_fetch_array($result);
	$recaptchasitekey = $data['value'];
	$table = 'tbladdonmodules';
	$fields = 'module,setting,value';
	$where = array('module' => 'abusemanagerpro', 'setting' => 'option2');
	$result = select_query($table, $fields, $where);
	$data = mysql_fetch_array($result);
	$lockdownclientarea = $data['value'];
	$table = 'tbladdonmodules';
	$fields = 'module,setting,value';
	$where = array('module' => 'abusemanagerpro', 'setting' => 'option9');
	$result = select_query($table, $fields, $where);
	$data = mysql_fetch_array($result);
	$abusecategories = $data['value'];
	$abusecategories = explode(',', $abusecategories);

	foreach ($abusecategories as $categories) {
		$abusecategorieslist .= '<option>' . $categories . '</option>';
	}

	$currentdate = date($option4);
	return array(
	'pagetitle'    => $LANG['pagetitle'],
	'breadcrumb'   => array('index.php?m=abusemanagerpro' => $LANG['pagetitle']),
	'templatefile' => 'clienthome',
	'requirelogin' => false,
	'vars'         => array('page' => $page, 'clientreports' => $clientreportsarray, 'clientconversation' => $clientconversationarray, 'reportid' => $reportid, 'customername' => $customername, 'customerip' => $customerip, 'serviceid' => $serviceid, 'servicename' => $servicename, 'servicehostname' => $servicehostname, 'category' => $category, 'incidentdate' => $incidentdate, 'status' => $status, 'allowunsuspend' => $allowunsuspend, 'additionalinformation' => $additionalinformation, 'abusecategorieslist' => $abusecategorieslist, 'currentdate' => $currentdate, 'enablepublicpage' => $enablepublicpage, 'lockdownclientarea' => $lockdownclientarea, 'recaptchasitekey' => $recaptchasitekey, 'susaction' => $susaction, 'amplang' => $LANG)
	);
}

if (!defined('WHMCS')) {
	exit('This file cannot be accessed directly');
}

?>
